!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-02-18 11:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_4638) = coupl(nGC_79)*(dZtL + dZtR)/2d0
      coupl(nGC_4631) = coupl(nGC_5)*(dZA + dZWMinus)
      coupl(nGC_4630) = -coupl(nGC_4629)
      coupl(nGC_4632) = coupl(nGC_29)*dZZA
      coupl(nGC_5229) = coupl(nGC_MI)*dZnu_tauR
      coupl(nGC_5228) = coupl(nGC_MI)*dZnu_tauL
      coupl(nGC_5340) = coupl(nGC_3317) + coupl(nGC_46)*dZH + coupl(nGC_46)*dZZ
      coupl(nGC_4795) = coupl(nGC_MI)*dZbR
      coupl(nGC_4792) = coupl(nGC_MI)*dZbL
      coupl(nGC_4793) = coupl(nGC_MB)*(dZbL + dZbR)/2d0
      coupl(nGC_3263) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*   &
                        coupl(nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_3188) = Nc*cima*coupl(nGC_77)**2d0/(48d0*pi**2d0)
      coupl(nGC_3189) = cima*(Nc*coupl(nGC_53)**2d0 + Nc*coupl(nGC_57)**2d0 +  &
                        Nc*coupl(nGC_61)**2d0 + Nc*coupl(nGC_73)**2d0 + Nc*    &
                        coupl(nGC_85)**2d0 + coupl(nGC_65)**2d0 + coupl(nGC_69 &
                        )**2d0 + coupl(nGC_81)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3266) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 + &
                        coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3265) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0  &
                         - coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(    &
                        nGC_39)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4846) = coupl(nGC_3326) + coupl(nGC_38)*dZZ/2d0 + coupl(nGC_38 &
                        )*dZbL
      coupl(nGC_4848) = coupl(nGC_4716) + coupl(nGC_4846)
      coupl(nGC_3348) = coupl(nGC_3079)*dye_QED1
      coupl(nGC_3349) = coupl(nGC_3117)*dye_QED1
      coupl(nGC_3344) = coupl(nGC_3104)*dyb_QED1
      coupl(nGC_3340) = coupl(nGC_3103)*dyb_QED1
      coupl(nGC_3341) = coupl(nGC_3105)*dyb_QED1
      coupl(nGC_3342) = coupl(nGC_3114)*dydo_QED1
      coupl(nGC_3343) = coupl(nGC_3083)*dys_QED1
      coupl(nGC_7508) = coupl(nGC_MI)*dZnu_eR
      coupl(nGC_7507) = coupl(nGC_MI)*dZnu_eL
      coupl(nGC_5441) = coupl(nGC_3352) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl&
                        (nGC_82)*dZtauMinusR/2d0
      coupl(nGC_5403) = coupl(nGC_3325) + coupl(nGC_39)*dZZ/2d0 + coupl(nGC_39 &
                        )*dZuL
      coupl(nGC_3258) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 + &
                        coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75 &
                        )**2d0 + coupl(nGC_87)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4837) = coupl(nGC_55)*(dZbL + dZbR)/2d0
      coupl(nGC_3259) = -cima*coupl(nGC_11)**2d0*coupl(nGC_79)**2d0*sq2**2d0/( &
                        16d0*pi**2d0)
      coupl(nGC_4833) = coupl(nGC_26)*dZAZ/2d0 + coupl(nGC_3316) + coupl(nGC_7 &
                        )*dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0
      coupl(nGC_4935) = coupl(nGC_3315) + coupl(nGC_47)*dZWMinus/2d0 + coupl(  &
                        nGC_47)*dZZ/2d0 + coupl(nGC_51)*dZAZ/2d0
      coupl(nGC_4838) = coupl(nGC_3344) + coupl(nGC_55)*dZH/2d0
      coupl(nGC_5043) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZdL/2d0 +  &
                        coupl(nGC_23)*dZuL/2d0 + coupl(nGC_3323)
      coupl(nGC_3250) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_53)**2d0 + &
                        coupl(nGC_57)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_73 &
                        )**2d0 + coupl(nGC_85)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3251) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_8401) = -coupl(nGC_3222)
      coupl(nGC_3262) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3261) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3260) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0  &
                         - coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(    &
                        nGC_75)**2d0 - coupl(nGC_87)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3267) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_3254) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl( &
                        nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)* &
                        coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(   &
                        nGC_86)*coupl(nGC_88))/(16d0*pi**2d0*Nc)
      coupl(nGC_3264) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*   &
                        coupl(nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi** &
                        2d0)
      coupl(nGC_3269) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_3255) = -cima*coupl(nGC_11)**2d0*coupl(nGC_78)*coupl(nGC_80)*  &
                        sq2**2d0/(16d0*pi**2d0)
      coupl(nGC_3186) = -Nc*cMT**2d0*cima*coupl(nGC_79)**2d0/(4d0*pi**2d0)
      coupl(nGC_3187) = cima*(-Nc*cMB**2d0*coupl(nGC_55)**2d0 - Nc*cMC**2d0*   &
                        coupl(nGC_59)**2d0 - Nc*cMD**2d0*coupl(nGC_63)**2d0 -  &
                        Nc*cMS**2d0*coupl(nGC_75)**2d0 - Nc*cMU**2d0*coupl(    &
                        nGC_87)**2d0 - cME**2d0*coupl(nGC_67)**2d0 - cMM**2d0* &
                        coupl(nGC_71)**2d0 - cMTA**2d0*coupl(nGC_83)**2d0)/(4d0&
                        *pi**2d0)
      coupl(nGC_3184) = Nc*cima*coupl(nGC_79)**2d0/(24d0*pi**2d0)
      coupl(nGC_3185) = cima*(Nc*coupl(nGC_55)**2d0 + Nc*coupl(nGC_59)**2d0 +  &
                        Nc*coupl(nGC_63)**2d0 + Nc*coupl(nGC_75)**2d0 + Nc*    &
                        coupl(nGC_87)**2d0 + coupl(nGC_67)**2d0 + coupl(nGC_71 &
                        )**2d0 + coupl(nGC_83)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3312) = coupl(nGC_3168)*dcw_ + coupl(nGC_3169)*dsw_
      coupl(nGC_4693) = coupl(nGC_11)*dZcL
      coupl(nGC_4692) = coupl(nGC_11)*dZcR
      coupl(nGC_5304) = coupl(nGC_3329) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36 &
                        )*dZmuMinusR
      coupl(nGC_5305) = coupl(nGC_3312) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40 &
                        )*dZmuMinusL
      coupl(nGC_8455) = -coupl(nGC_3221)
      coupl(nGC_8454) = -coupl(nGC_3220)
      coupl(nGC_4923) = coupl(nGC_3312) + coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40 &
                        )*dZZ/2d0
      coupl(nGC_4664) = coupl(nGC_3339) + coupl(nGC_76)*dZsL/2d0 + coupl(nGC_76&
                        )*dZsR/2d0
      coupl(nGC_4749) = coupl(nGC_11)*dZuL
      coupl(nGC_4745) = coupl(nGC_4)*dZmuMinusL + coupl(nGC_40)*dZZA/2d0
      coupl(nGC_4746) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZmuMinusR
      coupl(nGC_6178) = coupl(nGC_11)*dZbR
      coupl(nGC_6179) = coupl(nGC_11)*dZbL
      coupl(nGC_4669) = coupl(nGC_3310) + coupl(nGC_42)*dZA/2d0 + coupl(nGC_42 &
                        )*dZZ/2d0 + coupl(nGC_45)*dZZA/2d0 + coupl(nGC_6)*dZAZ/&
                        2d0
      coupl(nGC_5838) = -coupl(nGC_5621)
      coupl(nGC_5278) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +   &
                        coupl(nGC_3305)
      coupl(nGC_5900) = coupl(nGC_MI)*dZnu_muL
      coupl(nGC_5289) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_5282) = -coupl(nGC_5281)
      coupl(nGC_3238) = -cMT*coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0/(16d0*pi&
                        **2d0)
      coupl(nGC_3239) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC* &
                        coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75   &
                        ) - cMU*coupl(nGC_87))/(16d0*pi**2d0)
      coupl(nGC_3234) = (-Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) + Nc*   &
                        coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - Nc*coupl(  &
                        nGC_34)*coupl(nGC_62)*coupl(nGC_63) + Nc*coupl(nGC_34)*&
                        coupl(nGC_63)*coupl(nGC_64) - Nc*coupl(nGC_34)*coupl(  &
                        nGC_74)*coupl(nGC_75) + Nc*coupl(nGC_34)*coupl(nGC_75)*&
                        coupl(nGC_76) + Nc*coupl(nGC_35)*coupl(nGC_58)*coupl(  &
                        nGC_59) - Nc*coupl(nGC_35)*coupl(nGC_59)*coupl(nGC_60  &
                        ) + Nc*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87) - Nc* &
                        coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) + Nc*coupl(  &
                        nGC_38)*coupl(nGC_54)*coupl(nGC_55) - Nc*coupl(nGC_38)*&
                        coupl(nGC_55)*coupl(nGC_56) + Nc*coupl(nGC_38)*coupl(  &
                        nGC_62)*coupl(nGC_63) - Nc*coupl(nGC_38)*coupl(nGC_63)*&
                        coupl(nGC_64) + Nc*coupl(nGC_38)*coupl(nGC_74)*coupl(  &
                        nGC_75) - Nc*coupl(nGC_38)*coupl(nGC_75)*coupl(nGC_76  &
                        ) - Nc*coupl(nGC_39)*coupl(nGC_58)*coupl(nGC_59) + Nc* &
                        coupl(nGC_39)*coupl(nGC_59)*coupl(nGC_60) - Nc*coupl(  &
                        nGC_39)*coupl(nGC_86)*coupl(nGC_87) + Nc*coupl(nGC_39)*&
                        coupl(nGC_87)*coupl(nGC_88) - coupl(nGC_36)*coupl(     &
                        nGC_66)*coupl(nGC_67) + coupl(nGC_36)*coupl(nGC_67)*   &
                        coupl(nGC_68) - coupl(nGC_36)*coupl(nGC_70)*coupl(     &
                        nGC_71) + coupl(nGC_36)*coupl(nGC_71)*coupl(nGC_72) -  &
                        coupl(nGC_36)*coupl(nGC_82)*coupl(nGC_83) + coupl(     &
                        nGC_36)*coupl(nGC_83)*coupl(nGC_84) + coupl(nGC_40)*   &
                        coupl(nGC_66)*coupl(nGC_67) - coupl(nGC_40)*coupl(     &
                        nGC_67)*coupl(nGC_68) + coupl(nGC_40)*coupl(nGC_70)*   &
                        coupl(nGC_71) - coupl(nGC_40)*coupl(nGC_71)*coupl(     &
                        nGC_72) + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_83) -  &
                        coupl(nGC_40)*coupl(nGC_83)*coupl(nGC_84))/(24d0*pi**  &
                        2d0)
      coupl(nGC_3235) = 3d0*(Nc*cMB*coupl(nGC_55)**3d0 + Nc*cMC*coupl(nGC_59)**&
                        3d0 + Nc*cMD*coupl(nGC_63)**3d0 + Nc*cMS*coupl(nGC_75  &
                        )**3d0 + Nc*cMU*coupl(nGC_87)**3d0 + cME*coupl(nGC_67  &
                        )**3d0 + cMM*coupl(nGC_71)**3d0 + cMTA*coupl(nGC_83)** &
                        3d0)/(4d0*pi**2d0)
      coupl(nGC_3236) = cMT*coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_3237) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*  &
                        coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75   &
                        ) + cMU*coupl(nGC_87))/(16d0*pi**2d0*Nc)
      coupl(nGC_3230) = -Nc*coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_80)/(24d0*pi &
                        **2d0)
      coupl(nGC_3231) = coupl(nGC_23)*(Nc*coupl(nGC_53)*coupl(nGC_56) - Nc*    &
                        coupl(nGC_57)*coupl(nGC_60) + Nc*coupl(nGC_61)*coupl(  &
                        nGC_64) + Nc*coupl(nGC_73)*coupl(nGC_76) - Nc*coupl(   &
                        nGC_85)*coupl(nGC_88) + coupl(nGC_65)*coupl(nGC_68) +  &
                        coupl(nGC_69)*coupl(nGC_72) + coupl(nGC_81)*coupl(     &
                        nGC_84))/(24d0*pi**2d0)
      coupl(nGC_3232) = (Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 4d0*Nc*cMB* &
                        coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + Nc*cMB*    &
                        coupl(nGC_55)*coupl(nGC_56)**2d0 + Nc*cMC*coupl(nGC_58 &
                        )**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_58)*coupl( &
                        nGC_59)*coupl(nGC_60) + Nc*cMC*coupl(nGC_59)*coupl(    &
                        nGC_60)**2d0 + Nc*cMD*coupl(nGC_62)**2d0*coupl(nGC_63  &
                        ) + 4d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*coupl(nGC_64&
                        ) + Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0 + Nc*cMS*  &
                        coupl(nGC_74)**2d0*coupl(nGC_75) + 4d0*Nc*cMS*coupl(   &
                        nGC_74)*coupl(nGC_75)*coupl(nGC_76) + Nc*cMS*coupl(    &
                        nGC_75)*coupl(nGC_76)**2d0 + Nc*cMU*coupl(nGC_86)**2d0*&
                        coupl(nGC_87) + 4d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*&
                        coupl(nGC_88) + Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0&
                         + cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 4d0*cME*coupl&
                        (nGC_66)*coupl(nGC_67)*coupl(nGC_68) + cME*coupl(nGC_67&
                        )*coupl(nGC_68)**2d0 + cMM*coupl(nGC_70)**2d0*coupl(   &
                        nGC_71) + 4d0*cMM*coupl(nGC_70)*coupl(nGC_71)*coupl(   &
                        nGC_72) + cMM*coupl(nGC_71)*coupl(nGC_72)**2d0 + cMTA* &
                        coupl(nGC_82)**2d0*coupl(nGC_83) + 4d0*cMTA*coupl(     &
                        nGC_82)*coupl(nGC_83)*coupl(nGC_84) + cMTA*coupl(nGC_83&
                        )*coupl(nGC_84)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3233) = Nc*coupl(nGC_79)*(coupl(nGC_35)*coupl(nGC_78) - coupl( &
                        nGC_35)*coupl(nGC_80) - coupl(nGC_39)*coupl(nGC_78) +  &
                        coupl(nGC_39)*coupl(nGC_80))/(24d0*pi**2d0)
      coupl(nGC_5122) = coupl(nGC_75)*(dZsL + dZsR)/2d0
      coupl(nGC_5123) = coupl(nGC_3343) + coupl(nGC_75)*dZH/2d0
      coupl(nGC_5124) = coupl(nGC_5122) + coupl(nGC_5123)
      coupl(nGC_5087) = -coupl(nGC_5086)
      coupl(nGC_3301) = coupl(nGC_3144)*dsw_
      coupl(nGC_3302) = coupl(nGC_3143)*dsw_
      coupl(nGC_3303) = coupl(nGC_3095)*dsw_ + coupl(nGC_3096)*dvev_QEDM1
      coupl(nGC_4903) = coupl(nGC_3351) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(&
                        nGC_70)*dZmuMinusR/2d0
      coupl(nGC_3308) = coupl(nGC_3118)*dsw_
      coupl(nGC_3309) = coupl(nGC_3097)*dsw_ + coupl(nGC_3098)*dvev_QEDM1
      coupl(nGC_4909) = coupl(nGC_3349) + coupl(nGC_66)*dZeMinusL/2d0 + coupl( &
                        nGC_66)*dZeMinusR/2d0
      coupl(nGC_4658) = coupl(nGC_3318) + coupl(nGC_42)*dZAZ + coupl(nGC_45)*dZZ
      coupl(nGC_4651) = coupl(nGC_19)*dZZA/2d0 + coupl(nGC_5)*dZAZ/2d0
      coupl(nGC_3283) = coupl(nGC_3122)*dsw_
      coupl(nGC_3282) = coupl(nGC_3141)*dcw_ + coupl(nGC_3142)*dsw_
      coupl(nGC_3284) = coupl(nGC_3145)*dcw_ + coupl(nGC_3146)*dsw_
      coupl(nGC_3287) = coupl(nGC_3127)*dMW2
      coupl(nGC_3289) = coupl(nGC_3147)*dsw_ + coupl(nGC_3148)*dMW2
      coupl(nGC_3288) = coupl(nGC_3149)*dsw_ + coupl(nGC_3150)*dMW2
      coupl(nGC_4626) = coupl(nGC_3346) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(&
                        nGC_69)*dZnu_muL/2d0
      coupl(nGC_8402) = -coupl(nGC_3223)
      coupl(nGC_5768) = coupl(nGC_5180) + coupl(nGC_5767)
      coupl(nGC_4710) = coupl(nGC_3364) + coupl(nGC_59)*dZH/2d0
      coupl(nGC_4711) = coupl(nGC_4709) + coupl(nGC_4710)
      coupl(nGC_4718) = coupl(nGC_3326) + coupl(nGC_38)*dZZ/2d0 + coupl(nGC_38 &
                        )*dZsL
      coupl(nGC_3208) = Nc*coupl(nGC_77)**2d0*(coupl(nGC_1) - coupl(nGC_2))/(  &
                        24d0*pi**2d0)
      coupl(nGC_5484) = -coupl(nGC_5480)
      coupl(nGC_7658) = coupl(nGC_MD)*(dZdL + dZdR)/2d0
      coupl(nGC_5483) = coupl(nGC_3379) + coupl(nGC_MW)*dZWMinus
      coupl(nGC_5241) = coupl(nGC_3357) + coupl(nGC_86)*dZuL/2d0 + coupl(nGC_86&
                        )*dZuR/2d0
      coupl(nGC_3213) = (-Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - Nc*cMC*coupl&
                        (nGC_2)**2d0*coupl(nGC_59) - Nc*cMD*coupl(nGC_1)**2d0* &
                        coupl(nGC_63) - Nc*cMS*coupl(nGC_1)**2d0*coupl(nGC_75  &
                        ) - Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) - cME*coupl(&
                        nGC_4)**2d0*coupl(nGC_67) - cMM*coupl(nGC_4)**2d0*coupl&
                        (nGC_71) - cMTA*coupl(nGC_4)**2d0*coupl(nGC_83))/(4d0* &
                        pi**2d0)
      coupl(nGC_3211) = Nc*coupl(nGC_23)*(-cMB*coupl(nGC_2)*coupl(nGC_53) - cMC&
                        *coupl(nGC_1)*coupl(nGC_57) - cMD*coupl(nGC_2)*coupl(  &
                        nGC_61) - cMS*coupl(nGC_2)*coupl(nGC_73) - cMU*coupl(  &
                        nGC_1)*coupl(nGC_85))/(16d0*pi**2d0)
      coupl(nGC_6043) = coupl(nGC_2)*dZtL + coupl(nGC_39)*dZZA/2d0
      coupl(nGC_6044) = coupl(nGC_2)*dZtR + coupl(nGC_35)*dZZA/2d0
      coupl(nGC_6045) = coupl(nGC_5626) + coupl(nGC_6044)
      coupl(nGC_6046) = coupl(nGC_5626) + coupl(nGC_6043)
      coupl(nGC_5797) = coupl(nGC_3325) + coupl(nGC_39)*dZZ/2d0 + coupl(nGC_39 &
                        )*dZcL
      coupl(nGC_5796) = coupl(nGC_3324) + coupl(nGC_35)*dZZ/2d0 + coupl(nGC_35 &
                        )*dZcR
      coupl(nGC_4948) = coupl(nGC_37)*dZZA/2d0
      coupl(nGC_3193) = cima*(Nc*coupl(nGC_54)*coupl(nGC_56) + Nc*coupl(nGC_58 &
                        )*coupl(nGC_60) + Nc*coupl(nGC_62)*coupl(nGC_64) + Nc* &
                        coupl(nGC_74)*coupl(nGC_76) + Nc*coupl(nGC_86)*coupl(  &
                        nGC_88) + coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_70)* &
                        coupl(nGC_72) + coupl(nGC_82)*coupl(nGC_84))/(24d0*pi**&
                        2d0)
      coupl(nGC_4940) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_3304)
      coupl(nGC_5901) = coupl(nGC_MI)*dZnu_muR
      coupl(nGC_5112) = coupl(nGC_3370) + coupl(nGC_5110)
      coupl(nGC_5114) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_3270) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl&
                        (nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_3271) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) -     &
                        coupl(nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_3272) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl&
                        (nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**  &
                        2d0)
      coupl(nGC_3365) = coupl(nGC_3112)*dMT + coupl(nGC_3113)*dvev_QEDM1
      coupl(nGC_5461) = coupl(nGC_3311) + coupl(nGC_37)*dZH/2d0 + coupl(nGC_37 &
                        )*dZZ/2d0
      coupl(nGC_3278) = coupl(nGC_3081)*dZgs_QCD2
      coupl(nGC_4726) = coupl(nGC_3361) + coupl(nGC_80)*dZtL/2d0 + coupl(nGC_80&
                        )*dZtR/2d0
      coupl(nGC_4720) = coupl(nGC_4716) + coupl(nGC_4718)
      coupl(nGC_4689) = coupl(nGC_17)*dZWMinus + coupl(nGC_3308)
      coupl(nGC_4684) = coupl(nGC_3335) + coupl(nGC_53)*dZbR/2d0 + coupl(nGC_53&
                        )*dZtL/2d0
      coupl(nGC_4686) = coupl(nGC_46)*dZZA/2d0
      coupl(nGC_5027) = coupl(nGC_1)*dZdR + coupl(nGC_34)*dZZA/2d0
      coupl(nGC_3192) = Nc*cima*coupl(nGC_78)*coupl(nGC_80)/(24d0*pi**2d0)
      coupl(nGC_8337) = -3d0*coupl(nGC_3276)/5d0
      coupl(nGC_5029) = coupl(nGC_4983) + coupl(nGC_5027)
      coupl(nGC_5028) = coupl(nGC_1)*dZdL + coupl(nGC_38)*dZZA/2d0
      coupl(nGC_6268) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZtauMinusR
      coupl(nGC_6269) = coupl(nGC_4)*dZtauMinusL + coupl(nGC_40)*dZZA/2d0
      coupl(nGC_4759) = coupl(nGC_3345) + coupl(nGC_65)*dZeMinusR/2d0 + coupl( &
                        nGC_65)*dZnu_eL/2d0
      coupl(nGC_5202) = coupl(nGC_3356) + coupl(nGC_83)*dZH/2d0
      coupl(nGC_5201) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_5209) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZeMinusR
      coupl(nGC_7142) = 2d0*coupl(nGC_7137)
      coupl(nGC_7141) = -coupl(nGC_7137)
      coupl(nGC_5368) = -coupl(nGC_5367)
      coupl(nGC_8466) = -coupl(nGC_3224)
      coupl(nGC_4987) = coupl(nGC_1)*dZsR + coupl(nGC_34)*dZZA/2d0
      coupl(nGC_4986) = coupl(nGC_1)*dZsL + coupl(nGC_38)*dZZA/2d0
      coupl(nGC_7660) = coupl(nGC_3375) + coupl(nGC_7658)
      coupl(nGC_5291) = coupl(nGC_3371) + coupl(nGC_5289)
      coupl(nGC_5096) = coupl(nGC_63)*(dZdL + dZdR)/2d0
      coupl(nGC_5097) = coupl(nGC_3342) + coupl(nGC_63)*dZH/2d0
      coupl(nGC_3203) = cima*(Nc*cMB**2d0*coupl(nGC_34)**2d0 + Nc*cMB**2d0*    &
                        coupl(nGC_38)**2d0 + Nc*cMC**2d0*coupl(nGC_35)**2d0 +  &
                        Nc*cMC**2d0*coupl(nGC_39)**2d0 + Nc*cMD**2d0*coupl(    &
                        nGC_34)**2d0 + Nc*cMD**2d0*coupl(nGC_38)**2d0 + Nc*cMS &
                        **2d0*coupl(nGC_34)**2d0 + Nc*cMS**2d0*coupl(nGC_38)** &
                        2d0 + Nc*cMT**2d0*coupl(nGC_35)**2d0 + Nc*cMT**2d0*    &
                        coupl(nGC_39)**2d0 + Nc*cMU**2d0*coupl(nGC_35)**2d0 +  &
                        Nc*cMU**2d0*coupl(nGC_39)**2d0 + cME**2d0*coupl(nGC_36 &
                        )**2d0 + cME**2d0*coupl(nGC_40)**2d0 + cMM**2d0*coupl( &
                        nGC_36)**2d0 + cMM**2d0*coupl(nGC_40)**2d0 + cMTA**2d0*&
                        coupl(nGC_36)**2d0 + cMTA**2d0*coupl(nGC_40)**2d0)/(8d0&
                        *pi**2d0)
      coupl(nGC_3202) = cima*(-Nc*coupl(nGC_34)**2d0 - Nc*coupl(nGC_35)**2d0 - &
                        Nc*coupl(nGC_38)**2d0 - Nc*coupl(nGC_39)**2d0 - coupl( &
                        nGC_36)**2d0 - coupl(nGC_40)**2d0 - coupl(nGC_41)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_5098) = coupl(nGC_5096) + coupl(nGC_5097)
      coupl(nGC_5586) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
      coupl(nGC_4910) = coupl(nGC_3348) + coupl(nGC_68)*dZeMinusL/2d0 + coupl( &
                        nGC_68)*dZeMinusR/2d0
      coupl(nGC_3334) = coupl(nGC_3091)*dMT + coupl(nGC_3092)*dvev_QEDM1
      coupl(nGC_3337) = coupl(nGC_3115)*dydo_QED1
      coupl(nGC_3336) = coupl(nGC_3116)*dydo_QED1
      coupl(nGC_5589) = coupl(nGC_3374) + coupl(nGC_5586)
      coupl(nGC_4643) = coupl(nGC_MC)*(dZcL + dZcR)/2d0
      coupl(nGC_3298) = coupl(nGC_3087)*dlam_QED2 + coupl(nGC_3088)*dvev_QEDM1
      coupl(nGC_3299) = coupl(nGC_3093)*dlam_QED2 + coupl(nGC_3094)*dvev_QEDM1
      coupl(nGC_3294) = coupl(nGC_3179)*dcw_ + coupl(nGC_3180)*dsw_ + coupl(   &
                        nGC_3181)*dMZ2
      coupl(nGC_3293) = coupl(nGC_3155)*dMZ2 + coupl(nGC_3156)*dsw_
      coupl(nGC_3290) = coupl(nGC_3176)*dsw_ + coupl(nGC_3177)*dcw_ + coupl(   &
                        nGC_3178)*dMW2
      coupl(nGC_3291) = coupl(nGC_3172)*dcw_ + coupl(nGC_3173)*dsw_
      coupl(nGC_8278) = -coupl(nGC_3209)
      coupl(nGC_5147) = coupl(nGC_3382) + coupl(nGC_MZ_GF)*dZZ/2d0
      coupl(nGC_5140) = coupl(nGC_3317) + coupl(nGC_46)*dZZ
      coupl(nGC_8277) = -coupl(nGC_3208)
      coupl(nGC_5632) = coupl(nGC_2)*dZuR + coupl(nGC_35)*dZZA/2d0
      coupl(nGC_5633) = coupl(nGC_5626) + coupl(nGC_5632)
      coupl(nGC_5631) = coupl(nGC_2)*dZuL + coupl(nGC_39)*dZZA/2d0
      coupl(nGC_8471) = -coupl(nGC_3246)
      coupl(nGC_8477) = -coupl(nGC_3229)
      coupl(nGC_8476) = -coupl(nGC_3228)
      coupl(nGC_7023) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3278)
      coupl(nGC_4763) = coupl(nGC_27)*dZAZ/2d0 + coupl(nGC_3314) + coupl(nGC_8 &
                        )*dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 + coupl(nGC_8)*  &
                        dZZ/2d0
      coupl(nGC_5551) = -coupl(nGC_5461)
      coupl(nGC_6101) = coupl(nGC_MZ)*dZZA/2d0
      coupl(nGC_5996) = -coupl(nGC_5278)
      coupl(nGC_5256) = coupl(nGC_25)*dZWMinus + coupl(nGC_25)*dZZ/2d0 + coupl(&
                        nGC_3)*dZAZ/2d0 + coupl(nGC_3282)
      coupl(nGC_5257) = -coupl(nGC_5256)
      coupl(nGC_5847) = coupl(nGC_3367) + coupl(nGC_MH)*dZH
      coupl(nGC_7279) = coupl(nGC_3381) + coupl(nGC_MMW_GF)*dZWMinus/2d0
      coupl(nGC_5968) = coupl(nGC_3299) + 3d0*coupl(nGC_49)*dZH/2d0
      coupl(nGC_5787) = coupl(nGC_3298) + coupl(nGC_48)*dZH/2d0
      coupl(nGC_4811) = coupl(nGC_3324) + coupl(nGC_35)*dZZ/2d0 + coupl(nGC_35 &
                        )*dZtR
      coupl(nGC_4810) = coupl(nGC_3325) + coupl(nGC_39)*dZZ/2d0 + coupl(nGC_39 &
                        )*dZtL
      coupl(nGC_4813) = coupl(nGC_4805) + coupl(nGC_4810)
      coupl(nGC_4812) = coupl(nGC_4805) + coupl(nGC_4811)
      coupl(nGC_4816) = coupl(nGC_31)*dZH/2d0 + coupl(nGC_3289)
      coupl(nGC_4954) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_3282)
      coupl(nGC_4955) = -coupl(nGC_4954)
      coupl(nGC_5268) = coupl(nGC_29)*dZAZ
      coupl(nGC_5477) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_3)*dZAZ/2d0 + coupl( &
                        nGC_3282)
      coupl(nGC_3362) = coupl(nGC_3101)*dMT + coupl(nGC_3102)*dvev_QEDM1
      coupl(nGC_3248) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_53)**2d0  &
                         - coupl(nGC_57)**2d0 - coupl(nGC_61)**2d0 - coupl(    &
                        nGC_73)**2d0 - coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3360) = coupl(nGC_3109)*dyc_QED1
      coupl(nGC_3244) = coupl(nGC_23)**2d0*(Nc*coupl(nGC_38) - Nc*coupl(nGC_39 &
                        ) + coupl(nGC_40) - coupl(nGC_41))/(8d0*pi**2d0)
      coupl(nGC_3241) = coupl(nGC_23)**2d0*(-Nc*cMB*coupl(nGC_55) - Nc*cMC*    &
                        coupl(nGC_59) - Nc*cMD*coupl(nGC_63) - Nc*cMS*coupl(   &
                        nGC_75) - Nc*cMU*coupl(nGC_87) - cME*coupl(nGC_67) -   &
                        cMM*coupl(nGC_71) - cMTA*coupl(nGC_83))/(8d0*pi**2d0)
      coupl(nGC_3243) = (-Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + Nc*cMB*    &
                        coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - Nc*cMB*    &
                        coupl(nGC_38)**2d0*coupl(nGC_55) - Nc*cMC*coupl(nGC_35 &
                        )**2d0*coupl(nGC_59) + Nc*cMC*coupl(nGC_35)*coupl(     &
                        nGC_39)*coupl(nGC_59) - Nc*cMC*coupl(nGC_39)**2d0*coupl&
                        (nGC_59) - Nc*cMD*coupl(nGC_34)**2d0*coupl(nGC_63) + Nc&
                        *cMD*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63) - Nc*cMD&
                        *coupl(nGC_38)**2d0*coupl(nGC_63) - Nc*cMS*coupl(nGC_34&
                        )**2d0*coupl(nGC_75) + Nc*cMS*coupl(nGC_34)*coupl(     &
                        nGC_38)*coupl(nGC_75) - Nc*cMS*coupl(nGC_38)**2d0*coupl&
                        (nGC_75) - Nc*cMU*coupl(nGC_35)**2d0*coupl(nGC_87) + Nc&
                        *cMU*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87) - Nc*cMU&
                        *coupl(nGC_39)**2d0*coupl(nGC_87) - cME*coupl(nGC_36)**&
                        2d0*coupl(nGC_67) + cME*coupl(nGC_36)*coupl(nGC_40)*   &
                        coupl(nGC_67) - cME*coupl(nGC_40)**2d0*coupl(nGC_67) - &
                        cMM*coupl(nGC_36)**2d0*coupl(nGC_71) + cMM*coupl(nGC_36&
                        )*coupl(nGC_40)*coupl(nGC_71) - cMM*coupl(nGC_40)**2d0*&
                        coupl(nGC_71) - cMTA*coupl(nGC_36)**2d0*coupl(nGC_83   &
                        ) + cMTA*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_83) -   &
                        cMTA*coupl(nGC_40)**2d0*coupl(nGC_83))/(4d0*pi**2d0)
      coupl(nGC_3242) = Nc*cMT*coupl(nGC_79)*(-coupl(nGC_35)**2d0 + coupl(     &
                        nGC_35)*coupl(nGC_39) - coupl(nGC_39)**2d0)/(4d0*pi**  &
                        2d0)
      coupl(nGC_4734) = coupl(nGC_3294) + coupl(nGC_44)*dZH/2d0
      coupl(nGC_4731) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZH/2d0 + coupl( &
                        nGC_27)*dZWMinus/2d0 + coupl(nGC_3302) + coupl(nGC_8)* &
                        dZZA/2d0
      coupl(nGC_6429) = coupl(nGC_MU)*(dZuL + dZuR)/2d0
      coupl(nGC_6257) = coupl(nGC_2)*dZcR + coupl(nGC_35)*dZZA/2d0
      coupl(nGC_5030) = coupl(nGC_4983) + coupl(nGC_5028)
      coupl(nGC_6259) = coupl(nGC_5626) + coupl(nGC_6257)
      coupl(nGC_6258) = coupl(nGC_2)*dZcL + coupl(nGC_39)*dZZA/2d0
      coupl(nGC_5951) = coupl(nGC_3319) + coupl(nGC_52)*dZH/2d0 + coupl(nGC_52 &
                        )*dZZ
      coupl(nGC_5211) = coupl(nGC_4740) + coupl(nGC_5209)
      coupl(nGC_4782) = coupl(nGC_3380) + coupl(nGC_MW_GF)*dZWMinus/2d0
      coupl(nGC_4789) = coupl(nGC_3359) + coupl(nGC_60)*dZcL/2d0 + coupl(nGC_60&
                        )*dZcR/2d0
      coupl(nGC_5925) = coupl(nGC_3326) + coupl(nGC_38)*dZZ/2d0 + coupl(nGC_38 &
                        )*dZdL
      coupl(nGC_5596) = coupl(nGC_3336) + coupl(nGC_64)*dZdL/2d0 + coupl(nGC_64&
                        )*dZdR/2d0
      coupl(nGC_5817) = coupl(nGC_3378) + coupl(nGC_MZ)*dZZ
      coupl(nGC_3358) = coupl(nGC_3080)*dyup_QED1
      coupl(nGC_3355) = coupl(nGC_3121)*dym_QED1
      coupl(nGC_3354) = coupl(nGC_3082)*dye_QED1
      coupl(nGC_3350) = coupl(nGC_3120)*dym_QED1
      coupl(nGC_8467) = -coupl(nGC_3225)
      coupl(nGC_8420) = -coupl(nGC_3234)
      coupl(nGC_3328) = coupl(nGC_3170)*dcw_ + coupl(nGC_3171)*dsw_
      coupl(nGC_4924) = -coupl(nGC_4923)
      coupl(nGC_3322) = coupl(nGC_106)*dZgs_QCD2
      coupl(nGC_3327) = coupl(nGC_3153)*dcw_ + coupl(nGC_3154)*dsw_
      coupl(nGC_4678) = coupl(nGC_3330) + coupl(nGC_61)*dZdR/2d0 + coupl(nGC_61&
                        )*dZuL/2d0
      coupl(nGC_4677) = coupl(nGC_3331) + coupl(nGC_85)*dZdL/2d0 + coupl(nGC_85&
                        )*dZuR/2d0
      coupl(nGC_5724) = coupl(nGC_3341) + coupl(nGC_56)*dZbL/2d0 + coupl(nGC_56&
                        )*dZbR/2d0
      coupl(nGC_3215) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) - Nc*&
                        cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - Nc*cMC* &
                        coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - Nc*cMC*coupl&
                        (nGC_2)*coupl(nGC_39)*coupl(nGC_59) - Nc*cMD*coupl(    &
                        nGC_1)*coupl(nGC_34)*coupl(nGC_63) - Nc*cMD*coupl(nGC_1&
                        )*coupl(nGC_38)*coupl(nGC_63) - Nc*cMS*coupl(nGC_1)*   &
                        coupl(nGC_34)*coupl(nGC_75) - Nc*cMS*coupl(nGC_1)*coupl&
                        (nGC_38)*coupl(nGC_75) - Nc*cMU*coupl(nGC_2)*coupl(    &
                        nGC_35)*coupl(nGC_87) - Nc*cMU*coupl(nGC_2)*coupl(     &
                        nGC_39)*coupl(nGC_87) - cME*coupl(nGC_36)*coupl(nGC_4)*&
                        coupl(nGC_67) - cME*coupl(nGC_4)*coupl(nGC_40)*coupl(  &
                        nGC_67) - cMM*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_71  &
                        ) - cMM*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_71) - cMTA&
                        *coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_83) - cMTA*coupl(&
                        nGC_4)*coupl(nGC_40)*coupl(nGC_83))/(8d0*pi**2d0)
      coupl(nGC_3199) = cima*(Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc*cMB**&
                        2d0*coupl(nGC_1)*coupl(nGC_38) + Nc*cMC**2d0*coupl(    &
                        nGC_2)*coupl(nGC_35) + Nc*cMC**2d0*coupl(nGC_2)*coupl( &
                        nGC_39) + Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc* &
                        cMD**2d0*coupl(nGC_1)*coupl(nGC_38) + Nc*cMS**2d0*coupl&
                        (nGC_1)*coupl(nGC_34) + Nc*cMS**2d0*coupl(nGC_1)*coupl(&
                        nGC_38) + Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_35) + Nc* &
                        cMT**2d0*coupl(nGC_2)*coupl(nGC_39) + Nc*cMU**2d0*coupl&
                        (nGC_2)*coupl(nGC_35) + Nc*cMU**2d0*coupl(nGC_2)*coupl(&
                        nGC_39) + cME**2d0*coupl(nGC_36)*coupl(nGC_4) + cME**  &
                        2d0*coupl(nGC_4)*coupl(nGC_40) + cMM**2d0*coupl(nGC_36 &
                        )*coupl(nGC_4) + cMM**2d0*coupl(nGC_4)*coupl(nGC_40) + &
                        cMTA**2d0*coupl(nGC_36)*coupl(nGC_4) + cMTA**2d0*coupl(&
                        nGC_4)*coupl(nGC_40))/(8d0*pi**2d0)
      coupl(nGC_3198) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34) - Nc*coupl(nGC_1)*&
                        coupl(nGC_38) - Nc*coupl(nGC_2)*coupl(nGC_35) - Nc*    &
                        coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_36)*coupl(nGC_4 &
                        ) - coupl(nGC_4)*coupl(nGC_40))/(16d0*pi**2d0)
      coupl(nGC_5723) = coupl(nGC_3340) + coupl(nGC_54)*dZbL/2d0 + coupl(nGC_54&
                        )*dZbR/2d0
      coupl(nGC_3195) = cima*(-Nc*cMB**2d0*coupl(nGC_54)*coupl(nGC_56) - Nc*cMC&
                        **2d0*coupl(nGC_58)*coupl(nGC_60) - Nc*cMD**2d0*coupl( &
                        nGC_62)*coupl(nGC_64) - Nc*cMS**2d0*coupl(nGC_74)*coupl&
                        (nGC_76) - Nc*cMU**2d0*coupl(nGC_86)*coupl(nGC_88) -   &
                        cME**2d0*coupl(nGC_66)*coupl(nGC_68) - cMM**2d0*coupl( &
                        nGC_70)*coupl(nGC_72) - cMTA**2d0*coupl(nGC_82)*coupl( &
                        nGC_84))/(4d0*pi**2d0)
      coupl(nGC_3194) = -Nc*cMT**2d0*cima*coupl(nGC_78)*coupl(nGC_80)/(4d0*pi**&
                        2d0)
      coupl(nGC_3191) = cima*(-Nc*cMB**2d0*coupl(nGC_53)**2d0 - Nc*cMC**2d0*   &
                        coupl(nGC_57)**2d0 - Nc*cMC**2d0*coupl(nGC_73)**2d0 -  &
                        Nc*cMD**2d0*coupl(nGC_61)**2d0 - Nc*cMD**2d0*coupl(    &
                        nGC_85)**2d0 - Nc*cMS**2d0*coupl(nGC_57)**2d0 - Nc*cMS &
                        **2d0*coupl(nGC_73)**2d0 - Nc*cMT**2d0*coupl(nGC_53)** &
                        2d0 - Nc*cMU**2d0*coupl(nGC_61)**2d0 - Nc*cMU**2d0*    &
                        coupl(nGC_85)**2d0 - cME**2d0*coupl(nGC_65)**2d0 - cMM &
                        **2d0*coupl(nGC_69)**2d0 - cMTA**2d0*coupl(nGC_81)**2d0&
                        )/(16d0*pi**2d0)
      coupl(nGC_3218) = Nc*cMT*coupl(nGC_53)*(coupl(nGC_53)*coupl(nGC_79) +    &
                        coupl(nGC_55)*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_3219) = (Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + Nc*cMC*coupl&
                        (nGC_57)**2d0*coupl(nGC_59) + Nc*cMC*coupl(nGC_57)*    &
                        coupl(nGC_73)*coupl(nGC_75) + Nc*cMC*coupl(nGC_59)*    &
                        coupl(nGC_73)**2d0 + Nc*cMD*coupl(nGC_61)**2d0*coupl(  &
                        nGC_63) + Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*coupl(    &
                        nGC_87) + Nc*cMD*coupl(nGC_63)*coupl(nGC_85)**2d0 + Nc*&
                        cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + Nc*cMS*coupl(   &
                        nGC_57)*coupl(nGC_59)*coupl(nGC_73) + Nc*cMS*coupl(    &
                        nGC_73)**2d0*coupl(nGC_75) + Nc*cMU*coupl(nGC_61)**2d0*&
                        coupl(nGC_87) + Nc*cMU*coupl(nGC_61)*coupl(nGC_63)*    &
                        coupl(nGC_85) + Nc*cMU*coupl(nGC_85)**2d0*coupl(nGC_87 &
                        ) + cME*coupl(nGC_65)**2d0*coupl(nGC_67) + cMM*coupl(  &
                        nGC_69)**2d0*coupl(nGC_71) + cMTA*coupl(nGC_81)**2d0*  &
                        coupl(nGC_83))/(8d0*pi**2d0)
      coupl(nGC_5318) = coupl(nGC_3354) + coupl(nGC_67)*dZH/2d0
      coupl(nGC_5317) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_6363) = coupl(nGC_4983) + coupl(nGC_6360)
      coupl(nGC_6362) = coupl(nGC_4983) + coupl(nGC_6361)
      coupl(nGC_4777) = coupl(nGC_87)*(dZuL + dZuR)/2d0
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
