!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-02-18 11:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_4778) = coupl(nGC_3363) + coupl(nGC_87)*dZH/2d0
      coupl(nGC_4779) = coupl(nGC_4777) + coupl(nGC_4778)
      coupl(nGC_6526) = -coupl(nGC_6525)
      coupl(nGC_5261) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3278)
      coupl(nGC_5262) = -coupl(nGC_5261)
      coupl(nGC_5182) = coupl(nGC_3312) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40 &
                        )*dZeMinusL
      coupl(nGC_5184) = coupl(nGC_5180) + coupl(nGC_5182)
      coupl(nGC_4967) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_3291)
      coupl(nGC_5404) = coupl(nGC_3324) + coupl(nGC_35)*dZZ/2d0 + coupl(nGC_35 &
                        )*dZuR
      coupl(nGC_4804) = coupl(nGC_3369) + coupl(nGC_4802)
      coupl(nGC_5271) = coupl(nGC_5268) - 2d0*coupl(nGC_5269)
      coupl(nGC_4652) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus + coupl(&
                        nGC_29)*dZZ/2d0 + coupl(nGC_3284)
      coupl(nGC_5319) = coupl(nGC_5317) + coupl(nGC_5318)
      coupl(nGC_4902) = coupl(nGC_3350) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(&
                        nGC_72)*dZmuMinusR/2d0
      coupl(nGC_5203) = coupl(nGC_5201) + coupl(nGC_5202)
      coupl(nGC_4796) = coupl(nGC_3377) + coupl(nGC_4793)
      coupl(nGC_4717) = coupl(nGC_3327) + coupl(nGC_34)*dZZ/2d0 + coupl(nGC_34 &
                        )*dZsR
      coupl(nGC_5306) = coupl(nGC_5180) + coupl(nGC_5304)
      coupl(nGC_5307) = coupl(nGC_5180) + coupl(nGC_5305)
      coupl(nGC_4790) = coupl(nGC_3360) + coupl(nGC_58)*dZcL/2d0 + coupl(nGC_58&
                        )*dZcR/2d0
      coupl(nGC_4694) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3322)
      coupl(nGC_5405) = coupl(nGC_4805) + coupl(nGC_5404)
      coupl(nGC_5406) = coupl(nGC_4805) + coupl(nGC_5403)
      coupl(nGC_8328) = -coupl(nGC_3231)
      coupl(nGC_8327) = -coupl(nGC_3230)
      coupl(nGC_5117) = coupl(nGC_3355) + coupl(nGC_71)*dZH/2d0
      coupl(nGC_5928) = coupl(nGC_4716) + coupl(nGC_5925)
      coupl(nGC_5240) = coupl(nGC_3358) + coupl(nGC_88)*dZuL/2d0 + coupl(nGC_88&
                        )*dZuR/2d0
      coupl(nGC_8419) = -coupl(nGC_3233)
      coupl(nGC_4878) = coupl(nGC_3303) + coupl(nGC_47)*dZZA/2d0 + coupl(nGC_51&
                        )*dZA/2d0 + coupl(nGC_51)*dZWMinus/2d0
      coupl(nGC_4748) = coupl(nGC_4740) + coupl(nGC_4745)
      coupl(nGC_5634) = coupl(nGC_5626) + coupl(nGC_5631)
      coupl(nGC_4747) = coupl(nGC_4740) + coupl(nGC_4746)
      coupl(nGC_6270) = coupl(nGC_4740) + coupl(nGC_6268)
      coupl(nGC_4839) = coupl(nGC_4837) + coupl(nGC_4838)
      coupl(nGC_4874) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(    &
                        nGC_3308)
      coupl(nGC_5926) = coupl(nGC_3327) + coupl(nGC_34)*dZZ/2d0 + coupl(nGC_34 &
                        )*dZdR
      coupl(nGC_8382) = -coupl(nGC_3244)
      coupl(nGC_4654) = coupl(nGC_4651) - coupl(nGC_4652)/2d0
      coupl(nGC_4727) = coupl(nGC_3362) + coupl(nGC_78)*dZtL/2d0 + coupl(nGC_78&
                        )*dZtR/2d0
      coupl(nGC_4646) = coupl(nGC_3373) + coupl(nGC_4643)
      coupl(nGC_4705) = -coupl(nGC_4704)
      coupl(nGC_6260) = coupl(nGC_5626) + coupl(nGC_6258)
      coupl(nGC_5274) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_3283)
      coupl(nGC_5275) = -2d0*coupl(nGC_5274)
      coupl(nGC_6431) = coupl(nGC_3372) + coupl(nGC_6429)
      coupl(nGC_5270) = -coupl(nGC_5268)/2d0 + coupl(nGC_5269)
      coupl(nGC_4634) = -2d0*coupl(nGC_4631) + coupl(nGC_4632)
      coupl(nGC_5232) = coupl(nGC_3328) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41 &
                        )*dZnu_tauL
      coupl(nGC_4683) = coupl(nGC_3334) + coupl(nGC_77)*dZbL/2d0 + coupl(nGC_77&
                        )*dZtR/2d0
      coupl(nGC_6271) = coupl(nGC_4740) + coupl(nGC_6269)
      coupl(nGC_5799) = coupl(nGC_4805) + coupl(nGC_5797)
      coupl(nGC_5798) = coupl(nGC_4805) + coupl(nGC_5796)
      coupl(nGC_4989) = coupl(nGC_4983) + coupl(nGC_4986)
      coupl(nGC_4845) = coupl(nGC_3327) + coupl(nGC_34)*dZZ/2d0 + coupl(nGC_34 &
                        )*dZbR
      coupl(nGC_5478) = -coupl(nGC_5477)
      coupl(nGC_5418) = coupl(nGC_24)*dZZ/2d0 + coupl(nGC_3291) + coupl(nGC_4)*&
                        dZAZ/2d0
      coupl(nGC_5419) = -coupl(nGC_5418)
      coupl(nGC_4968) = -coupl(nGC_4967)
      coupl(nGC_5927) = coupl(nGC_4716) + coupl(nGC_5926)
      coupl(nGC_5597) = coupl(nGC_3337) + coupl(nGC_62)*dZdL/2d0 + coupl(nGC_62&
                        )*dZdR/2d0
      coupl(nGC_4959) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZWMinus/2d0 +   &
                        coupl(nGC_3301) + coupl(nGC_9)*dZZA/2d0
      coupl(nGC_4949) = -coupl(nGC_4948)
      coupl(nGC_4639) = coupl(nGC_3365) + coupl(nGC_79)*dZH/2d0
      coupl(nGC_5766) = coupl(nGC_3312) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40 &
                        )*dZtauMinusL
      coupl(nGC_5430) = coupl(nGC_3328) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41 &
                        )*dZnu_muL
      coupl(nGC_5718) = coupl(nGC_3309) + coupl(nGC_50)*dZH/2d0 + coupl(nGC_50 &
                        )*dZWMinus
      coupl(nGC_4941) = -coupl(nGC_4940)
      coupl(nGC_4988) = coupl(nGC_4983) + coupl(nGC_4987)
      coupl(nGC_6347) = coupl(nGC_3328) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41 &
                        )*dZnu_eL
      coupl(nGC_5118) = coupl(nGC_5114) + coupl(nGC_5117)
      coupl(nGC_4633) = coupl(nGC_4631) - coupl(nGC_4632)/2d0
      coupl(nGC_4719) = coupl(nGC_4716) + coupl(nGC_4717)
      coupl(nGC_5769) = coupl(nGC_5180) + coupl(nGC_5766)
      coupl(nGC_4653) = -2d0*coupl(nGC_4651) + coupl(nGC_4652)
      coupl(nGC_4847) = coupl(nGC_4716) + coupl(nGC_4845)
      coupl(nGC_4640) = coupl(nGC_4638) + coupl(nGC_4639)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
