!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-02-18 11:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_3139) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_3130) = gt/vev
      coupl(nGC_3137) = -ee/(2d0*sw**2d0)
      coupl(nGC_3136) = -cima*ee/(2d0*sw**2d0)
      coupl(nGC_3135) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_3134) = cima*ee/(2d0*sw**2d0)
      coupl(nGC_3183) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_3181) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
      coupl(nGC_3345) = -cima*dye_QED1
      coupl(nGC_3346) = -cima*dym_QED1
      coupl(nGC_3347) = -cima*dytau_QED1
      coupl(nGC_3182) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_3164) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_3165) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_3166) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_3167) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_3160) = -cima*ee*sw/cw**2d0
      coupl(nGC_3161) = cima*ee/cw
      coupl(nGC_3162) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_3163) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_3169) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_3325) = coupl(nGC_3166)*dcw_ + coupl(nGC_3167)*dsw_
      coupl(nGC_3331) = cima*dyup_QED1
      coupl(nGC_5281) = coupl(nGC_24)*dZZA/2d0 + coupl(nGC_4)*dZA/2d0
      coupl(nGC_5086) = coupl(nGC_3)*dZWMinus/2d0
      coupl(nGC_4740) = coupl(nGC_4)*dZA/2d0
      coupl(nGC_3305) = coupl(nGC_3136)*dsw_
      coupl(nGC_3306) = coupl(nGC_3139)*dsw_
      coupl(nGC_3307) = coupl(nGC_3134)*dsw_
      coupl(nGC_3128) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_3129) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_3285) = coupl(nGC_3128)*dcw_ + coupl(nGC_3129)*dsw_
      coupl(nGC_3122) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_3127) = cima*ee/(2d0*cMW)
      coupl(nGC_5621) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +   &
                        coupl(nGC_3307)
      coupl(nGC_4629) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0
      coupl(nGC_5626) = coupl(nGC_2)*dZA/2d0
      coupl(nGC_4716) = coupl(nGC_1)*dZAZ/2d0
      coupl(nGC_7657) = coupl(nGC_MI)*dZdL
      coupl(nGC_7659) = coupl(nGC_MI)*dZdR
      coupl(nGC_5480) = coupl(nGC_MI)*dZWMinus
      coupl(nGC_3323) = coupl(nGC_3135)*dsw_
      coupl(nGC_3379) = cima*dMW2
      coupl(nGC_3378) = cima*dMZ2
      coupl(nGC_3371) = -cima*dMTA
      coupl(nGC_3370) = -cima*dMM
      coupl(nGC_3373) = -cima*dMC
      coupl(nGC_3372) = -cima*dMU
      coupl(nGC_3375) = -cima*dMD
      coupl(nGC_3374) = -cima*dMT
      coupl(nGC_3377) = -cima*dMB
      coupl(nGC_3376) = -cima*dMS
      coupl(nGC_5099) = coupl(nGC_11)*dZsL
      coupl(nGC_4823) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZeMinusL/  &
                        2d0 + coupl(nGC_23)*dZnu_eL/2d0 + coupl(nGC_3323)
      coupl(nGC_4829) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZmuMinusL/ &
                        2d0 + coupl(nGC_23)*dZnu_muL/2d0 + coupl(nGC_3323)
      coupl(nGC_4945) = coupl(nGC_26)*dZA/2d0 + coupl(nGC_26)*dZWMinus/2d0 +   &
                        coupl(nGC_3306) + coupl(nGC_7)*dZZA/2d0
      coupl(nGC_5111) = coupl(nGC_MI)*dZmuMinusR
      coupl(nGC_5110) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_3274) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_3275) = -cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0*Nc)
      coupl(nGC_3277) = 3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0)
      coupl(nGC_3279) = coupl(nGC_3124)*dZgs_QCD2
      coupl(nGC_3363) = coupl(nGC_3138)*dyup_QED1
      coupl(nGC_3151) = -cMW*ee/(2d0*sw**2d0)
      coupl(nGC_3153) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_3152) = ee/(4d0*cMW*sw)
      coupl(nGC_6430) = coupl(nGC_MI)*dZuR
      coupl(nGC_3157) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_3156) = -cMZ*cima*ee/(2d0*sw**2d0)
      coupl(nGC_3158) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_3177) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_3085) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_3084) = cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_4750) = coupl(nGC_11)*dZuR
      coupl(nGC_3369) = -cima*dME
      coupl(nGC_3078) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_5367) = coupl(nGC_4)*dZWMinus/2d0
      coupl(nGC_3339) = coupl(nGC_3125)*dys_QED1
      coupl(nGC_3273) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_4983) = coupl(nGC_1)*dZA/2d0
      coupl(nGC_3330) = -cima*dydo_QED1
      coupl(nGC_7137) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3279)
      coupl(nGC_5290) = coupl(nGC_MI)*dZtauMinusR
      coupl(nGC_7138) = -2d0*coupl(nGC_7137)
      coupl(nGC_3201) = cima*coupl(nGC_23)**2d0*(Nc*cMB**2d0 + Nc*cMC**2d0 + Nc&
                        *cMD**2d0 + Nc*cMS**2d0 + Nc*cMT**2d0 + Nc*cMU**2d0 +  &
                        cME**2d0 + cMM**2d0 + cMTA**2d0)/(16d0*pi**2d0)
      coupl(nGC_3200) = cima*coupl(nGC_23)**2d0*(-Nc - 1d0)/(16d0*pi**2d0)
      coupl(nGC_3205) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_3204) = cima*coupl(nGC_11)**2d0*sq2**2d0/(16d0*pi**2d0*Nc)
      coupl(nGC_3207) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_3206) = -cima*coupl(nGC_11)**2d0*sq2**2d0/(16d0*pi**2d0)
      coupl(nGC_6428) = coupl(nGC_MI)*dZuL
      coupl(nGC_5741) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/  &
                        2d0 + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_3323)
      coupl(nGC_5585) = coupl(nGC_MI)*dZtL
      coupl(nGC_3338) = coupl(nGC_3123)*dys_QED1
      coupl(nGC_3335) = -cima*dyb_QED1
      coupl(nGC_5588) = coupl(nGC_MI)*dZtR
      coupl(nGC_3333) = -cima*dys_QED1
      coupl(nGC_3332) = cima*dyc_QED1
      coupl(nGC_3112) = -cima*gt/vev
      coupl(nGC_4645) = coupl(nGC_MI)*dZcR
      coupl(nGC_3118) = -cima*ee**2d0/sw**3d0
      coupl(nGC_4642) = coupl(nGC_MI)*dZcL
      coupl(nGC_3296) = coupl(nGC_3086)*dlam_QED2
      coupl(nGC_3297) = -cima*dlam_QED2
      coupl(nGC_3295) = coupl(nGC_3126)*dlam_QED2
      coupl(nGC_3292) = coupl(nGC_3151)*dsw_ + coupl(nGC_3152)*dMW2
      coupl(nGC_6100) = coupl(nGC_MI)*dZZA/2d0
      coupl(nGC_138) = cima/(2d0*cMW)
      coupl(nGC_5322) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl( &
                        nGC_3)*dZWMinus
      coupl(nGC_5323) = -coupl(nGC_5322)
      coupl(nGC_4879) = coupl(nGC_41)*dZZA/2d0
      coupl(nGC_5288) = coupl(nGC_MI)*dZtauMinusL
      coupl(nGC_5541) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZbL/2d0 +  &
                        coupl(nGC_23)*dZtL/2d0 + coupl(nGC_3323)
      coupl(nGC_5844) = coupl(nGC_I)*dZH
      coupl(nGC_6074) = coupl(nGC_52)*dZZA/2d0
      coupl(nGC_5109) = coupl(nGC_MI)*dZmuMinusL
      coupl(nGC_5102) = coupl(nGC_11)*dZsR
      coupl(nGC_3367) = -cima*dMH2
      coupl(nGC_3364) = coupl(nGC_3110)*dyc_QED1
      coupl(nGC_3249) = cima*coupl(nGC_11)**2d0*coupl(nGC_77)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0*Nc)
      coupl(nGC_3361) = coupl(nGC_3130)*dMT + coupl(nGC_3131)*dvev_QEDM1
      coupl(nGC_3245) = coupl(nGC_11)**3d0*sq2**3d0/(16d0*pi**2d0)
      coupl(nGC_3247) = -cima*coupl(nGC_11)**2d0*coupl(nGC_77)**2d0*sq2**2d0/( &
                        32d0*pi**2d0)
      coupl(nGC_3246) = -coupl(nGC_11)**3d0*sq2**3d0/(16d0*pi**2d0)
      coupl(nGC_3240) = -Nc*cMT*coupl(nGC_23)**2d0*coupl(nGC_79)/(8d0*pi**2d0)
      coupl(nGC_7850) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_3295)
      coupl(nGC_3148) = -cima*ee/(4d0*cMW*sw)
      coupl(nGC_3149) = cMW*ee/(2d0*sw**2d0)
      coupl(nGC_3146) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_3147) = cMW*cima*ee/(2d0*sw**2d0)
      coupl(nGC_3144) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_3145) = 2d0*cima*ee**2d0/sw
      coupl(nGC_3142) = -cima*cw*ee/sw**2d0
      coupl(nGC_3143) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_3141) = cima*ee/sw
      coupl(nGC_3091) = sqrt(2d0)*cima*gt/vev
      coupl(nGC_3095) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_3097) = -cima*ee**2d0*vev/sw**3d0
      coupl(nGC_3099) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_6099) = coupl(nGC_MI)*dZAZ/2d0
      coupl(nGC_3180) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_3276) = -5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0)
      coupl(nGC_5958) = coupl(nGC_MZ_GF)*dZZA/2d0
      coupl(nGC_5210) = coupl(nGC_4)*dZeMinusL + coupl(nGC_40)*dZZA/2d0
      coupl(nGC_5212) = coupl(nGC_4740) + coupl(nGC_5210)
      coupl(nGC_5214) = coupl(nGC_11)*dZtR
      coupl(nGC_146) = 1d0/(2d0*cMZ)
      coupl(nGC_142) = -cima/(2d0*cMW)
      coupl(nGC_5505) = coupl(nGC_11)*dZdR
      coupl(nGC_5506) = coupl(nGC_11)*dZdL
      coupl(nGC_5814) = coupl(nGC_MI)*dZZ
      coupl(nGC_3304) = coupl(nGC_3137)*dsw_
      coupl(nGC_5818) = -coupl(nGC_5814)
      coupl(nGC_3359) = coupl(nGC_3111)*dyc_QED1
      coupl(nGC_3357) = coupl(nGC_3159)*dyup_QED1
      coupl(nGC_3356) = coupl(nGC_3132)*dytau_QED1
      coupl(nGC_3353) = coupl(nGC_3140)*dytau_QED1
      coupl(nGC_3352) = coupl(nGC_3133)*dytau_QED1
      coupl(nGC_3351) = coupl(nGC_3119)*dym_QED1
      coupl(nGC_3150) = -ee/(4d0*cMW*sw)
      coupl(nGC_3329) = coupl(nGC_3160)*dcw_ + coupl(nGC_3161)*dsw_
      coupl(nGC_3155) = cima*ee/(4d0*cMZ*sw)
      coupl(nGC_3326) = coupl(nGC_3164)*dcw_ + coupl(nGC_3165)*dsw_
      coupl(nGC_3324) = coupl(nGC_3157)*dcw_ + coupl(nGC_3158)*dsw_
      coupl(nGC_3154) = cima*ee/(3d0*cw)
      coupl(nGC_3100) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_3106) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_3107) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0&
                        )/(cw**3d0*sw**2d0)
      coupl(nGC_4672) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZcL/2d0 +  &
                        coupl(nGC_23)*dZsL/2d0 + coupl(nGC_3323)
      coupl(nGC_8340) = -5d0*coupl(nGC_3277)/3d0
      coupl(nGC_5070) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_5071) = -coupl(nGC_5070)
      coupl(nGC_3216) = coupl(nGC_23)**2d0*(Nc*coupl(nGC_1) - Nc*coupl(nGC_2   &
                        ) + coupl(nGC_4))/(8d0*pi**2d0)
      coupl(nGC_3217) = Nc*cMB*coupl(nGC_77)*(coupl(nGC_53)*coupl(nGC_79) +    &
                        coupl(nGC_55)*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_3214) = Nc*cMT*coupl(nGC_2)*coupl(nGC_79)*(-coupl(nGC_35) -    &
                        coupl(nGC_39))/(8d0*pi**2d0)
      coupl(nGC_3212) = -Nc*cMT*coupl(nGC_2)**2d0*coupl(nGC_79)/(4d0*pi**2d0)
      coupl(nGC_3210) = -Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77)/(16d0*&
                        pi**2d0)
      coupl(nGC_3197) = cima*(Nc*cMB**2d0*coupl(nGC_1)**2d0 + Nc*cMC**2d0*coupl&
                        (nGC_2)**2d0 + Nc*cMD**2d0*coupl(nGC_1)**2d0 + Nc*cMS**&
                        2d0*coupl(nGC_1)**2d0 + Nc*cMT**2d0*coupl(nGC_2)**2d0  &
                         + Nc*cMU**2d0*coupl(nGC_2)**2d0 + cME**2d0*coupl(nGC_4&
                        )**2d0 + cMM**2d0*coupl(nGC_4)**2d0 + cMTA**2d0*coupl( &
                        nGC_4)**2d0)/(4d0*pi**2d0)
      coupl(nGC_3196) = cima*(-Nc*coupl(nGC_1)**2d0 - Nc*coupl(nGC_2)**2d0 -   &
                        coupl(nGC_4)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3190) = Nc*cima*coupl(nGC_77)**2d0*(-cMB**2d0 - cMT**2d0)/(16d0&
                        *pi**2d0)
      coupl(nGC_4663) = coupl(nGC_3338) + coupl(nGC_74)*dZsL/2d0 + coupl(nGC_74&
                        )*dZsR/2d0
      coupl(nGC_3268) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_3176) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_3175) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_3174) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_3173) = cima*cw*ee/sw**2d0
      coupl(nGC_3172) = -cima*ee/sw
      coupl(nGC_3171) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_3170) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_3179) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_3178) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
      coupl(nGC_6361) = coupl(nGC_1)*dZbR + coupl(nGC_34)*dZZA/2d0
      coupl(nGC_6360) = coupl(nGC_1)*dZbL + coupl(nGC_38)*dZZA/2d0
      coupl(nGC_8469) = -coupl(nGC_3245)
      coupl(nGC_4770) = coupl(nGC_MI)*dZsL
      coupl(nGC_4771) = coupl(nGC_MS)*(dZsL + dZsR)/2d0
      coupl(nGC_4772) = coupl(nGC_MI)*dZsR
      coupl(nGC_4773) = coupl(nGC_3376) + coupl(nGC_4771)
      coupl(nGC_8290) = -coupl(nGC_3216)
      coupl(nGC_5269) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(    &
                        nGC_3285)
      coupl(nGC_6525) = coupl(nGC_MI)*dZA
      coupl(nGC_5213) = coupl(nGC_11)*dZtL
      coupl(nGC_5180) = coupl(nGC_4)*dZAZ/2d0
      coupl(nGC_5181) = coupl(nGC_3329) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36 &
                        )*dZeMinusR
      coupl(nGC_5183) = coupl(nGC_5180) + coupl(nGC_5181)
      coupl(nGC_5187) = coupl(nGC_3347) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl( &
                        nGC_81)*dZtauMinusR/2d0
      coupl(nGC_3101) = -gt/vev
      coupl(nGC_3168) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_3089) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_4962) = coupl(nGC_13)*dZH + coupl(nGC_3296)
      coupl(nGC_3209) = (Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + Nc*coupl(nGC_1)* &
                        coupl(nGC_57)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_61)**2d0&
                         + Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 + Nc*coupl(nGC_1 &
                        )*coupl(nGC_85)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_53)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_57)**2d0 - Nc*coupl(   &
                        nGC_2)*coupl(nGC_61)**2d0 - Nc*coupl(nGC_2)*coupl(     &
                        nGC_73)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_85)**2d0 +    &
                        coupl(nGC_4)*coupl(nGC_65)**2d0 + coupl(nGC_4)*coupl(  &
                        nGC_69)**2d0 + coupl(nGC_4)*coupl(nGC_81)**2d0)/(24d0* &
                        pi**2d0)
      coupl(nGC_4805) = coupl(nGC_2)*dZAZ/2d0
      coupl(nGC_4802) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_4803) = coupl(nGC_MI)*dZeMinusR
      coupl(nGC_4801) = coupl(nGC_MI)*dZeMinusL
      coupl(nGC_3229) = coupl(nGC_23)*(Nc*coupl(nGC_53)*coupl(nGC_55) - Nc*    &
                        coupl(nGC_57)*coupl(nGC_59) + Nc*coupl(nGC_61)*coupl(  &
                        nGC_63) + Nc*coupl(nGC_73)*coupl(nGC_75) - Nc*coupl(   &
                        nGC_85)*coupl(nGC_87) + coupl(nGC_65)*coupl(nGC_67) +  &
                        coupl(nGC_69)*coupl(nGC_71) + coupl(nGC_81)*coupl(     &
                        nGC_83))/(24d0*pi**2d0)
      coupl(nGC_3228) = -Nc*coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79)/(24d0*pi &
                        **2d0)
      coupl(nGC_3227) = coupl(nGC_23)*(Nc*cMB*coupl(nGC_34)*coupl(nGC_53) - Nc*&
                        cMB*coupl(nGC_38)*coupl(nGC_53) - Nc*cMB*coupl(nGC_39)*&
                        coupl(nGC_53) + Nc*cMC*coupl(nGC_35)*coupl(nGC_57) - Nc&
                        *cMC*coupl(nGC_38)*coupl(nGC_57) - Nc*cMC*coupl(nGC_39 &
                        )*coupl(nGC_57) + Nc*cMD*coupl(nGC_34)*coupl(nGC_61) - &
                        Nc*cMD*coupl(nGC_38)*coupl(nGC_61) - Nc*cMD*coupl(     &
                        nGC_39)*coupl(nGC_61) + Nc*cMS*coupl(nGC_34)*coupl(    &
                        nGC_73) - Nc*cMS*coupl(nGC_38)*coupl(nGC_73) - Nc*cMS* &
                        coupl(nGC_39)*coupl(nGC_73) + Nc*cMU*coupl(nGC_35)*    &
                        coupl(nGC_85) - Nc*cMU*coupl(nGC_38)*coupl(nGC_85) - Nc&
                        *cMU*coupl(nGC_39)*coupl(nGC_85) + cME*coupl(nGC_36)*  &
                        coupl(nGC_65) - cME*coupl(nGC_40)*coupl(nGC_65) - cME* &
                        coupl(nGC_41)*coupl(nGC_65) + cMM*coupl(nGC_36)*coupl( &
                        nGC_69) - cMM*coupl(nGC_40)*coupl(nGC_69) - cMM*coupl( &
                        nGC_41)*coupl(nGC_69) + cMTA*coupl(nGC_36)*coupl(nGC_81&
                        ) - cMTA*coupl(nGC_40)*coupl(nGC_81) - cMTA*coupl(     &
                        nGC_41)*coupl(nGC_81))/(16d0*pi**2d0)
      coupl(nGC_3226) = Nc*cMT*coupl(nGC_23)*coupl(nGC_77)*(coupl(nGC_35) -    &
                        coupl(nGC_38) - coupl(nGC_39))/(16d0*pi**2d0)
      coupl(nGC_3225) = coupl(nGC_23)*(-Nc*coupl(nGC_53)*coupl(nGC_55) + Nc*   &
                        coupl(nGC_57)*coupl(nGC_59) - Nc*coupl(nGC_61)*coupl(  &
                        nGC_63) - Nc*coupl(nGC_73)*coupl(nGC_75) + Nc*coupl(   &
                        nGC_85)*coupl(nGC_87) - coupl(nGC_65)*coupl(nGC_67) -  &
                        coupl(nGC_69)*coupl(nGC_71) - coupl(nGC_81)*coupl(     &
                        nGC_83))/(24d0*pi**2d0)
      coupl(nGC_3224) = Nc*coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79)/(24d0*pi**&
                        2d0)
      coupl(nGC_3223) = coupl(nGC_23)*(-Nc*coupl(nGC_53)*coupl(nGC_54) + Nc*   &
                        coupl(nGC_57)*coupl(nGC_58) - Nc*coupl(nGC_61)*coupl(  &
                        nGC_62) - Nc*coupl(nGC_73)*coupl(nGC_74) + Nc*coupl(   &
                        nGC_85)*coupl(nGC_86) - coupl(nGC_65)*coupl(nGC_66) -  &
                        coupl(nGC_69)*coupl(nGC_70) - coupl(nGC_81)*coupl(     &
                        nGC_82))/(24d0*pi**2d0)
      coupl(nGC_3222) = Nc*coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_78)/(24d0*pi**&
                        2d0)
      coupl(nGC_3221) = (Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + Nc*coupl(nGC_34 &
                        )*coupl(nGC_61)**2d0 + Nc*coupl(nGC_34)*coupl(nGC_73)**&
                        2d0 - Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 - Nc*coupl(  &
                        nGC_35)*coupl(nGC_85)**2d0 + Nc*coupl(nGC_38)*coupl(   &
                        nGC_57)**2d0 + Nc*coupl(nGC_38)*coupl(nGC_85)**2d0 - Nc&
                        *coupl(nGC_39)*coupl(nGC_53)**2d0 - Nc*coupl(nGC_39)*  &
                        coupl(nGC_61)**2d0 - Nc*coupl(nGC_39)*coupl(nGC_73)**  &
                        2d0 + coupl(nGC_36)*coupl(nGC_65)**2d0 + coupl(nGC_36)*&
                        coupl(nGC_69)**2d0 + coupl(nGC_36)*coupl(nGC_81)**2d0  &
                         - coupl(nGC_41)*coupl(nGC_65)**2d0 - coupl(nGC_41)*   &
                        coupl(nGC_69)**2d0 - coupl(nGC_41)*coupl(nGC_81)**2d0  &
                        )/(24d0*pi**2d0)
      coupl(nGC_3220) = Nc*coupl(nGC_77)**2d0*(-coupl(nGC_35) + coupl(nGC_38   &
                        ))/(24d0*pi**2d0)
      coupl(nGC_5134) = coupl(nGC_3333) + coupl(nGC_73)*dZcL/2d0 + coupl(nGC_73&
                        )*dZsR/2d0
      coupl(nGC_5133) = coupl(nGC_3332) + coupl(nGC_57)*dZcR/2d0 + coupl(nGC_57&
                        )*dZsL/2d0
      coupl(nGC_3380) = coupl(nGC_138)*dMW2
      coupl(nGC_3381) = coupl(nGC_142)*dMW2
      coupl(nGC_3382) = coupl(nGC_146)*dMZ2
      coupl(nGC_3313) = coupl(nGC_3085)*dcw_
      coupl(nGC_5440) = coupl(nGC_3353) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl&
                        (nGC_84)*dZtauMinusR/2d0
      coupl(nGC_3311) = coupl(nGC_3162)*dcw_ + coupl(nGC_3163)*dsw_
      coupl(nGC_3310) = coupl(nGC_3174)*dcw_ + coupl(nGC_3175)*dsw_
      coupl(nGC_3317) = coupl(nGC_3099)*dcw_ + coupl(nGC_3100)*dsw_
      coupl(nGC_3316) = coupl(nGC_3078)*dcw_
      coupl(nGC_3315) = coupl(nGC_3089)*dcw_ + coupl(nGC_3090)*dvev_QEDM1
      coupl(nGC_3314) = coupl(nGC_3084)*dcw_
      coupl(nGC_3252) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_3253) = cima*coupl(nGC_11)**2d0*coupl(nGC_78)*coupl(nGC_80)*sq2&
                        **2d0/(16d0*pi**2d0*Nc)
      coupl(nGC_3319) = coupl(nGC_3106)*dsw_ + coupl(nGC_3107)*dcw_ + coupl(   &
                        nGC_3108)*dvev_QEDM1
      coupl(nGC_3318) = coupl(nGC_3182)*dcw_ + coupl(nGC_3183)*dsw_
      coupl(nGC_3256) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(&
                        nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)* &
                        coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(   &
                        nGC_86)*coupl(nGC_88))/(16d0*pi**2d0)
      coupl(nGC_3257) = cima*coupl(nGC_11)**2d0*coupl(nGC_79)**2d0*sq2**2d0/(  &
                        16d0*pi**2d0*Nc)
      coupl(nGC_5767) = coupl(nGC_3329) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36 &
                        )*dZtauMinusR
      coupl(nGC_4709) = coupl(nGC_59)*(dZcL + dZcR)/2d0
      coupl(nGC_4701) = coupl(nGC_42)*dZZA + coupl(nGC_6)*dZA
      coupl(nGC_4704) = coupl(nGC_4)*dZA/2d0 + coupl(nGC_40)*dZZA/2d0
      coupl(nGC_5005) = coupl(nGC_28)*dZAZ/2d0 + coupl(nGC_3313) + coupl(nGC_9 &
                        )*dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
