!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-02-18 11:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl2()
      allocate(vertices(800)%branch(0:0))
      call av(800, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_13])

      allocate(vertices(801)%branch(0:0))
      call av(801, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_31])

      allocate(vertices(802)%branch(0:0))
      call av(802, 0, 10, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_85, nGC_61])

      allocate(vertices(803)%branch(0:0))
      call av(803, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_8])

      allocate(vertices(804)%branch(0:0))
      call av(804, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_52])

      allocate(vertices(805)%branch(0:0))
      call av(805, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_46])

      allocate(vertices(806)%branch(0:0))
      call av(806, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_370])

      allocate(vertices(807)%branch(0:0))
      call av(807, 0, 10, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_56, nGC_54])

      allocate(vertices(808)%branch(0:0))
      call av(808, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_42])

      allocate(vertices(809)%branch(0:0))
      call av(809, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_9])

      allocate(vertices(810)%branch(0:0))
      call av(810, 0, 17, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_34, nGC_38])

      allocate(vertices(811)%branch(0:0))
      call av(811, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_51])

      allocate(vertices(812)%branch(0:0))
      call av(812, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_27])

      allocate(vertices(813)%branch(0:0))
      call av(813, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_59, nGC_59])

      allocate(vertices(814)%branch(0:0))
      call av(814, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_75, nGC_75])

      allocate(vertices(815)%branch(0:0))
      call av(815, 0, 20, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_76, nGC_74])

      allocate(vertices(816)%branch(0:0))
      call av(816, 0, 8, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4, nGC_4])

      allocate(vertices(817)%branch(0:0))
      call av(817, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_42])

      allocate(vertices(818)%branch(0:0))
      call av(818, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_42])

      allocate(vertices(819)%branch(0:0))
      call av(819, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_27])

      allocate(vertices(820)%branch(0:0))
      call av(820, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_57, nGC_73])

      allocate(vertices(821)%branch(0:0))
      call av(821, 0, 8, 1, 0, FFaS2, 0, [0, 1, 0], [nGC_81])

      allocate(vertices(822)%branch(0:0))
      call av(822, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_35, nGC_39])

      allocate(vertices(823)%branch(0:1))
      call av(823, 0, 24, 3, 0, FaFV1, 0, [1, 0, 0], [nGC_11, nGC_11])

      call av(823, 1, 25, 2, 0, FaFV1, 0, [1, 0, 0], [nGC_11, nGC_11])

      allocate(vertices(824)%branch(0:0))
      call av(824, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_13])

      allocate(vertices(825)%branch(0:0))
      call av(825, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_292])

      allocate(vertices(826)%branch(0:0))
      call av(826, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_30])

      allocate(vertices(827)%branch(0:0))
      call av(827, 0, 17, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_34, nGC_38])

      allocate(vertices(828)%branch(0:0))
      call av(828, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_664])

      allocate(vertices(829)%branch(0:0))
      call av(829, 0, 18, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_2, nGC_2])

      allocate(vertices(830)%branch(0:0))
      call av(830, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_7])

      allocate(vertices(831)%branch(0:0))
      call av(831, 0, 19, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(832)%branch(0:0))
      call av(832, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_48])

      allocate(vertices(833)%branch(0:0))
      call av(833, 0, 18, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_34, nGC_38])

      allocate(vertices(834)%branch(0:0))
      call av(834, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_664])

      allocate(vertices(835)%branch(0:0))
      call av(835, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_50])

      allocate(vertices(836)%branch(0:0))
      call av(836, 0, 21, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(837)%branch(0:0))
      call av(837, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_17])

      allocate(vertices(838)%branch(0:0))
      call av(838, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_26])

      allocate(vertices(839)%branch(0:0))
      call av(839, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_1, nGC_1])

      allocate(vertices(840)%branch(0:0))
      call av(840, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(841)%branch(0:0))
      call av(841, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_36, nGC_40])

      allocate(vertices(842)%branch(0:0))
      call av(842, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_43])

      allocate(vertices(843)%branch(0:0))
      call av(843, 0, 8, 1, 0, SFaF1, 0, [0, 1, 0], [nGC_65])

      allocate(vertices(844)%branch(0:0))
      call av(844, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_17])

      allocate(vertices(845)%branch(0:0))
      call av(845, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(846)%branch(0:0))
      call av(846, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_27])

      allocate(vertices(847)%branch(0:0))
      call av(847, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(848)%branch(0:0))
      call av(848, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_34, nGC_38])

      allocate(vertices(849)%branch(0:1))
      call av(849, 0, 22, 3, 0, FaVF1, 0, [1, 0, 0], [nGC_11, nGC_11])

      call av(849, 1, 23, 2, 0, FaVF1, 0, [1, 0, 0], [nGC_11, nGC_11])

      allocate(vertices(850)%branch(0:0))
      call av(850, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_9])

      allocate(vertices(851)%branch(0:0))
      call av(851, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_28])

      allocate(vertices(852)%branch(0:0))
      call av(852, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_17])

      allocate(vertices(853)%branch(0:0))
      call av(853, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_76, nGC_74])

      allocate(vertices(854)%branch(0:0))
      call av(854, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_41])

      allocate(vertices(855)%branch(0:0))
      call av(855, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_33])

      allocate(vertices(856)%branch(0:0))
      call av(856, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_6])

      allocate(vertices(857)%branch(0:0))
      call av(857, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_1, nGC_1])

      allocate(vertices(858)%branch(0:0))
      call av(858, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_28])

      allocate(vertices(859)%branch(0:0))
      call av(859, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_87, nGC_87])

      allocate(vertices(860)%branch(0:0))
      call av(860, 0, 18, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_1, nGC_1])

      allocate(vertices(861)%branch(0:0))
      call av(861, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_292])

      allocate(vertices(862)%branch(0:1))
      call av(862, 0, 27, 2, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

      call av(862, 1, 26, 3, 0, FVFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

      allocate(vertices(863)%branch(0:0))
      call av(863, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_34, nGC_38])

      allocate(vertices(864)%branch(0:0))
      call av(864, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_156, nGC_156, nGC_29])

      allocate(vertices(865)%branch(0:0))
      call av(865, 0, 8, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_72, nGC_70])

      allocate(vertices(866)%branch(0:0))
      call av(866, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_7])

      allocate(vertices(867)%branch(0:0))
      call av(867, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_410])

      allocate(vertices(868)%branch(0:0))
      call av(868, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_52])

      allocate(vertices(869)%branch(0:0))
      call av(869, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_9])

      allocate(vertices(870)%branch(0:0))
      call av(870, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_36, nGC_40])

      allocate(vertices(871)%branch(0:0))
      call av(871, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_33])

      allocate(vertices(872)%branch(0:0))
      call av(872, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_14])

      allocate(vertices(873)%branch(0:1))
      call av(873, 0, 32, 4, 0, UaVU0, 0, [1, 0, 0], [nGC_678])

      call av(873, 1, 33, 5, 0, UaVU0, 0, [1, 0, 0], [nGC_678])

      allocate(vertices(874)%branch(0:0))
      call av(874, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_7])

      allocate(vertices(875)%branch(0:1))
      call av(875, 0, 20, 1, 0, SFaF2, 0, [0, 1, 1], [nGC_77])

      call av(875, 1, 20, 1, 0, SFaF1, 0, [0, 1, 0], [nGC_53])

      allocate(vertices(876)%branch(0:0))
      call av(876, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_33])

      allocate(vertices(877)%branch(0:0))
      call av(877, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_13])

      allocate(vertices(878)%branch(0:0))
      call av(878, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_410])

      allocate(vertices(879)%branch(0:0))
      call av(879, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_8])

      allocate(vertices(880)%branch(0:0))
      call av(880, 0, 19, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(881)%branch(0:0))
      call av(881, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(882)%branch(0:0))
      call av(882, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_14])

      allocate(vertices(883)%branch(0:0))
      call av(883, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_21])

      allocate(vertices(884)%branch(0:0))
      call av(884, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_9])

      allocate(vertices(885)%branch(0:0))
      call av(885, 0, 8, 1, 0, SFFa2, 0, [0, 1, 0], [nGC_81])

      allocate(vertices(886)%branch(0:0))
      call av(886, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(887)%branch(0:1))
      call av(887, 0, 19, 1, 0, FSFa1, 0, [0, 1, 1], [nGC_77])

      call av(887, 1, 19, 1, 0, FSFa2, 0, [0, 1, 0], [nGC_53])

      allocate(vertices(888)%branch(0:0))
      call av(888, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_410])

      allocate(vertices(889)%branch(0:0))
      call av(889, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(890)%branch(0:0))
      call av(890, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_31])

      allocate(vertices(891)%branch(0:0))
      call av(891, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_8])

      allocate(vertices(892)%branch(0:0))
      call av(892, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_7])

      allocate(vertices(893)%branch(0:0))
      call av(893, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_47])

      allocate(vertices(894)%branch(0:0))
      call av(894, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_8])

      allocate(vertices(895)%branch(0:0))
      call av(895, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_9])

      allocate(vertices(896)%branch(0:0))
      call av(896, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(897)%branch(0:0))
      call av(897, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_2, nGC_2])

      allocate(vertices(898)%branch(0:1))
      call av(898, 0, 30, 3, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

      call av(898, 1, 31, 2, 0, VFFa0, 0, [1, 0, 0], [nGC_11, nGC_11])

      allocate(vertices(899)%branch(0:0))
      call av(899, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_41])

      allocate(vertices(900)%branch(0:0))
      call av(900, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_8])

      allocate(vertices(901)%branch(0:0))
      call av(901, 0, 10, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_76, nGC_74])

      allocate(vertices(902)%branch(0:0))
      call av(902, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_370])

      allocate(vertices(903)%branch(0:0))
      call av(903, 0, 21, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(904)%branch(0:1))
      call av(904, 0, 24, 3, 0, FaFV1, 0, [1, 0, 0], [nGC_11, nGC_11])

      call av(904, 1, 25, 2, 0, FaFV1, 0, [1, 0, 0], [nGC_11, nGC_11])

      allocate(vertices(905)%branch(0:0))
      call av(905, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_17])

      allocate(vertices(906)%branch(0:0))
      call av(906, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_26])

      allocate(vertices(907)%branch(0:0))
      call av(907, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_292])

      allocate(vertices(908)%branch(0:0))
      call av(908, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_13])

      allocate(vertices(909)%branch(0:0))
      call av(909, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_40])

      allocate(vertices(910)%branch(0:0))
      call av(910, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_46])

      allocate(vertices(911)%branch(0:0))
      call av(911, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_370])

      allocate(vertices(912)%branch(0:0))
      call av(912, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_27])

      allocate(vertices(913)%branch(0:0))
      call av(913, 0, 8, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4, nGC_4])

      allocate(vertices(914)%branch(0:0))
      call av(914, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_6])

      allocate(vertices(915)%branch(0:0))
      call av(915, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(916)%branch(0:0))
      call av(916, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_51])

      allocate(vertices(917)%branch(0:0))
      call av(917, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_27])

      allocate(vertices(918)%branch(0:0))
      call av(918, 0, 21, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(919)%branch(0:1))
      call av(919, 0, 24, 3, 0, FaFV1, 0, [1, 0, 0], [nGC_11, nGC_11])

      call av(919, 1, 25, 2, 0, FaFV1, 0, [1, 0, 0], [nGC_11, nGC_11])

      allocate(vertices(920)%branch(0:0))
      call av(920, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_2, nGC_2])

      allocate(vertices(921)%branch(0:0))
      call av(921, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_34, nGC_38])

      allocate(vertices(922)%branch(0:0))
      call av(922, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_15])

      allocate(vertices(923)%branch(0:0))
      call av(923, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_7])

      allocate(vertices(924)%branch(0:0))
      call av(924, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_292])

      allocate(vertices(925)%branch(0:0))
      call av(925, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_76, nGC_74])

      allocate(vertices(926)%branch(0:1))
      call av(926, 0, 11, 3, 0, FFaV1, 0, [1, 0, 0], [nGC_11, nGC_11])

      call av(926, 1, 12, 2, 0, FFaV1, 0, [1, 0, 0], [nGC_11, nGC_11])

      allocate(vertices(927)%branch(0:0))
      call av(927, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_27])

      allocate(vertices(928)%branch(0:0))
      call av(928, 0, 17, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_85, nGC_61])

      allocate(vertices(929)%branch(0:0))
      call av(929, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_1, nGC_1])

      allocate(vertices(930)%branch(0:0))
      call av(930, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4, nGC_4])

      allocate(vertices(931)%branch(0:0))
      call av(931, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_43])

      allocate(vertices(932)%branch(0:0))
      call av(932, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_47])

      allocate(vertices(933)%branch(0:0))
      call av(933, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_28])

      allocate(vertices(934)%branch(0:0))
      call av(934, 0, 10, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(935)%branch(0:0))
      call av(935, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_156, nGC_29, nGC_156])

      allocate(vertices(936)%branch(0:0))
      call av(936, 0, 8, 1, 0, SFFa1, 0, [0, 1, 0], [nGC_81])

      allocate(vertices(937)%branch(0:0))
      call av(937, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_17])

      allocate(vertices(938)%branch(0:0))
      call av(938, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_17])

      allocate(vertices(939)%branch(0:0))
      call av(939, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_50])

      allocate(vertices(940)%branch(0:0))
      call av(940, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(941)%branch(0:0))
      call av(941, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_50])

      allocate(vertices(942)%branch(0:0))
      call av(942, 0, 8, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_68, nGC_66])

      allocate(vertices(943)%branch(0:0))
      call av(943, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_7])

      allocate(vertices(944)%branch(0:0))
      call av(944, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_6])

      allocate(vertices(945)%branch(0:0))
      call av(945, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_8])

      allocate(vertices(946)%branch(0:0))
      call av(946, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_85, nGC_61])

      allocate(vertices(947)%branch(0:0))
      call av(947, 0, 8, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_71, nGC_71])

      allocate(vertices(948)%branch(0:0))
      call av(948, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_370])

      allocate(vertices(949)%branch(0:0))
      call av(949, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_27])

      allocate(vertices(950)%branch(0:0))
      call av(950, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_42])

      allocate(vertices(951)%branch(0:0))
      call av(951, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(952)%branch(0:0))
      call av(952, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_57, nGC_73])

      allocate(vertices(953)%branch(0:0))
      call av(953, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4, nGC_4])

      allocate(vertices(954)%branch(0:0))
      call av(954, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_36, nGC_40])

      allocate(vertices(955)%branch(0:0))
      call av(955, 0, 10, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(956)%branch(0:0))
      call av(956, 0, 18, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(957)%branch(0:0))
      call av(957, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_9])

      allocate(vertices(958)%branch(0:0))
      call av(958, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_1398])

      allocate(vertices(959)%branch(0:0))
      call av(959, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_8])

      allocate(vertices(960)%branch(0:0))
      call av(960, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_292])

      allocate(vertices(961)%branch(0:0))
      call av(961, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_27])

      allocate(vertices(962)%branch(0:0))
      call av(962, 0, 8, 1, 0, SFFa2, 0, [0, 1, 0], [nGC_69])

      allocate(vertices(963)%branch(0:0))
      call av(963, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_17])

      allocate(vertices(964)%branch(0:0))
      call av(964, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_224])

      allocate(vertices(965)%branch(0:0))
      call av(965, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_588, nGC_19, nGC_19])

      allocate(vertices(966)%branch(0:1))
      call av(966, 0, 38, 4, 0, VUaU0, 0, [1, 0, 0], [nGC_678])

      call av(966, 1, 39, 5, 0, VUaU0, 0, [1, 0, 0], [nGC_678])

      allocate(vertices(967)%branch(0:0))
      call av(967, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_7])

      allocate(vertices(968)%branch(0:0))
      call av(968, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_42])

      allocate(vertices(969)%branch(0:0))
      call av(969, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_370])

      allocate(vertices(970)%branch(0:0))
      call av(970, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_41])

      allocate(vertices(971)%branch(0:0))
      call av(971, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_16])

      allocate(vertices(972)%branch(0:0))
      call av(972, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_33])

      allocate(vertices(973)%branch(0:0))
      call av(973, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_2, nGC_2])

      allocate(vertices(974)%branch(0:0))
      call av(974, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_45])

      allocate(vertices(975)%branch(0:0))
      call av(975, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_18, nGC_18, nGC_448])

      allocate(vertices(976)%branch(0:0))
      call av(976, 0, 8, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_72, nGC_70])

      allocate(vertices(977)%branch(0:0))
      call av(977, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_22])

      allocate(vertices(978)%branch(0:0))
      call av(978, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_45])

      allocate(vertices(979)%branch(0:0))
      call av(979, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_87, nGC_87])

      allocate(vertices(980)%branch(0:0))
      call av(980, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_51])

      allocate(vertices(981)%branch(0:0))
      call av(981, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_18, nGC_448, nGC_18])

      allocate(vertices(982)%branch(0:0))
      call av(982, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5, nGC_5, nGC_346])

      allocate(vertices(983)%branch(0:0))
      call av(983, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_58, nGC_60])

      allocate(vertices(984)%branch(0:0))
      call av(984, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_13])

      allocate(vertices(985)%branch(0:0))
      call av(985, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_410])

      allocate(vertices(986)%branch(0:0))
      call av(986, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_28])

      allocate(vertices(987)%branch(0:1))
      call av(987, 0, 11, 3, 0, FFaV1, 0, [1, 0, 0], [nGC_11, nGC_11])

      call av(987, 1, 12, 2, 0, FFaV1, 0, [1, 0, 0], [nGC_11, nGC_11])

      allocate(vertices(988)%branch(0:0))
      call av(988, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_46])

      allocate(vertices(989)%branch(0:0))
      call av(989, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5, nGC_346, nGC_5])

      allocate(vertices(990)%branch(0:0))
      call av(990, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_55, nGC_55])

      allocate(vertices(991)%branch(0:0))
      call av(991, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_17])

      allocate(vertices(992)%branch(0:0))
      call av(992, 0, 8, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_83, nGC_83])

      allocate(vertices(993)%branch(0:0))
      call av(993, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_73, nGC_57])

      allocate(vertices(994)%branch(0:0))
      call av(994, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_50])

      allocate(vertices(995)%branch(0:0))
      call av(995, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_45])

      allocate(vertices(996)%branch(0:0))
      call av(996, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_42])

      allocate(vertices(997)%branch(0:0))
      call av(997, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_14])

      allocate(vertices(998)%branch(0:0))
      call av(998, 0, 8, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_36, nGC_40])

      allocate(vertices(999)%branch(0:0))
      call av(999, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_26])

      allocate(vertices(1000)%branch(0:0))
      call av(1000, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_17])

      allocate(vertices(1001)%branch(0:0))
      call av(1001, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_22])

      allocate(vertices(1002)%branch(0:0))
      call av(1002, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(1003)%branch(0:0))
      call av(1003, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_17])

      allocate(vertices(1004)%branch(0:0))
      call av(1004, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_13])

      allocate(vertices(1005)%branch(0:0))
      call av(1005, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_41])

      allocate(vertices(1006)%branch(0:0))
      call av(1006, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_156, nGC_29, nGC_156])

      allocate(vertices(1007)%branch(0:0))
      call av(1007, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_86, nGC_88])

      allocate(vertices(1008)%branch(0:0))
      call av(1008, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_27])

      allocate(vertices(1009)%branch(0:0))
      call av(1009, 0, 17, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_35, nGC_39])

      allocate(vertices(1010)%branch(0:0))
      call av(1010, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_40])

      allocate(vertices(1011)%branch(0:0))
      call av(1011, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_26])

      allocate(vertices(1012)%branch(0:0))
      call av(1012, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_18, nGC_448, nGC_18])

      allocate(vertices(1013)%branch(0:0))
      call av(1013, 0, 8, 1, 0, FaFS2, 0, [0, 1, 0], [nGC_69])

      allocate(vertices(1014)%branch(0:0))
      call av(1014, 0, 10, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_63, nGC_63])

      allocate(vertices(1015)%branch(0:0))
      call av(1015, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_17])

      allocate(vertices(1016)%branch(0:0))
      call av(1016, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_7])

      allocate(vertices(1017)%branch(0:0))
      call av(1017, 0, 8, 1, 0, FaFS2, 0, [0, 1, 0], [nGC_81])

      allocate(vertices(1018)%branch(0:0))
      call av(1018, 0, 8, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_81])

      allocate(vertices(1019)%branch(0:0))
      call av(1019, 0, 17, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_35, nGC_39])

      allocate(vertices(1020)%branch(0:0))
      call av(1020, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_27])

      allocate(vertices(1021)%branch(0:0))
      call av(1021, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_26])

      allocate(vertices(1022)%branch(0:1))
      call av(1022, 0, 10, 1, 0, FFaS1, 0, [0, 1, 1], [nGC_77])

      call av(1022, 1, 10, 1, 0, FFaS2, 0, [0, 1, 0], [nGC_53])

      allocate(vertices(1023)%branch(0:0))
      call av(1023, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_56, nGC_54])

      allocate(vertices(1024)%branch(0:0))
      call av(1024, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_75, nGC_75])

      allocate(vertices(1025)%branch(0:0))
      call av(1025, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_36, nGC_40])

      allocate(vertices(1026)%branch(0:0))
      call av(1026, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_8])

      allocate(vertices(1027)%branch(0:0))
      call av(1027, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_16])

      allocate(vertices(1028)%branch(0:0))
      call av(1028, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_7])

      allocate(vertices(1029)%branch(0:0))
      call av(1029, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_75, nGC_75])

      allocate(vertices(1030)%branch(0:0))
      call av(1030, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(1031)%branch(0:0))
      call av(1031, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_6])

      allocate(vertices(1032)%branch(0:0))
      call av(1032, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_16])

      allocate(vertices(1033)%branch(0:0))
      call av(1033, 0, 17, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_76, nGC_74])

      allocate(vertices(1034)%branch(0:0))
      call av(1034, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_664])

      allocate(vertices(1035)%branch(0:0))
      call av(1035, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_13])

      allocate(vertices(1036)%branch(0:0))
      call av(1036, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_51])

      allocate(vertices(1037)%branch(0:0))
      call av(1037, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_28])

      allocate(vertices(1038)%branch(0:0))
      call av(1038, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_292])

      allocate(vertices(1039)%branch(0:0))
      call av(1039, 0, 10, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_73, nGC_57])

      allocate(vertices(1040)%branch(0:0))
      call av(1040, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_73, nGC_57])

      allocate(vertices(1041)%branch(0:0))
      call av(1041, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_664])

      allocate(vertices(1042)%branch(0:0))
      call av(1042, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_13])

      allocate(vertices(1043)%branch(0:0))
      call av(1043, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_156, nGC_29, nGC_156])

      allocate(vertices(1044)%branch(0:0))
      call av(1044, 0, 8, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_84, nGC_82])

      allocate(vertices(1045)%branch(0:0))
      call av(1045, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_26])

      allocate(vertices(1046)%branch(0:0))
      call av(1046, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_22])

      allocate(vertices(1047)%branch(0:0))
      call av(1047, 0, 17, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_23])

      allocate(vertices(1048)%branch(0:0))
      call av(1048, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_41])

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 8, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_4626])

      allocate(vertices(1)%branchCT(0:0))
      call avCT(1, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4630])

      allocate(vertices(2)%branchCT(0:0))
      call avCT(2, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4633, nGC_4634,       &
      nGC_4633])

      allocate(vertices(3)%branchCT(0:0))
      call avCT(3, 0, 17, 1, 0, FaSF1, 0, [0, 1, 1], [nGC_4640, nGC_4640])

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 14, 1, 0, FFa0, 0, [0, 0, 0], [nGC_4645, nGC_4642,    &
      nGC_4646, nGC_4646])

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4653, nGC_4654,       &
      nGC_4654])

      allocate(vertices(5)%branchCT(0:0))
      call avCT(5, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4658])

      allocate(vertices(6)%branchCT(0:0))
      call avCT(6, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4664, nGC_4663])

      allocate(vertices(730)%branchCT(0:0))
      call avCT(730, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4669])

      allocate(vertices(7)%branchCT(0:0))
      call avCT(7, 0, 18, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4672])

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4678, nGC_4677])

      allocate(vertices(9)%branchCT(0:1))
      call avCT(9, 0, 17, 1, 0, FaSF2, 0, [0, 1, 1], [nGC_4683])

      call avCT(9, 1, 17, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_4684])

      allocate(vertices(10)%branchCT(0:0))
      call avCT(10, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_3293])

      allocate(vertices(1050)%branchCT(0:0))
      call avCT(1050, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(11)%branchCT(0:0))
      call avCT(11, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(12)%branchCT(0:3))
      call avCT(12, 0, 27, 2, 0, FVFa0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(12, 1, 27, 2, 0, FVFa0, 0, [1, 0, 0], [nGC_4692, nGC_4693])

      call avCT(12, 2, 26, 3, 0, FVFa0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(12, 3, 26, 3, 0, FVFa0, 0, [1, 0, 0], [nGC_4692, nGC_4693])

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4701])

      allocate(vertices(479)%branchCT(0:0))
      call avCT(479, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4705])

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 10, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_4711, nGC_4711])

      allocate(vertices(848)%branchCT(0:0))
      call avCT(848, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4719, nGC_4720])

      allocate(vertices(1051)%branchCT(0:0))
      call avCT(1051, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(17)%branchCT(0:0))
      call avCT(17, 0, 18, 1, 0, FaFS0, 0, [0, 1, 1], [nGC_4727, nGC_4726])

      allocate(vertices(18)%branchCT(0:0))
      call avCT(18, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(19)%branchCT(0:0))
      call avCT(19, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_4734])

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4654, nGC_4654,     &
      nGC_4653])

      allocate(vertices(21)%branchCT(0:0))
      call avCT(21, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3290])

      allocate(vertices(22)%branchCT(0:0))
      call avCT(22, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4747, nGC_4748])

      allocate(vertices(23)%branchCT(0:3))
      call avCT(23, 0, 30, 3, 0, VFFa0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(23, 1, 30, 3, 0, VFFa0, 0, [1, 0, 0], [nGC_4750, nGC_4749])

      call avCT(23, 2, 31, 2, 0, VFFa0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(23, 3, 31, 2, 0, VFFa0, 0, [1, 0, 0], [nGC_4750, nGC_4749])

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 8, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_4759])

      allocate(vertices(158)%branchCT(0:0))
      call avCT(158, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(1052)%branchCT(0:0))
      call avCT(1052, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(917)%branchCT(0:0))
      call avCT(917, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(1053)%branchCT(0:0))
      call avCT(1053, 0, 42, 1, 0, FaF0, 0, [0, 0, 0], [nGC_4772, nGC_4770,    &
      nGC_4773, nGC_4773])

      allocate(vertices(29)%branchCT(0:0))
      call avCT(29, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4779, nGC_4779])

      allocate(vertices(1054)%branchCT(0:0))
      call avCT(1054, 0, 13, 1, 0, VS0, 0, [0, 0, 0], [nGC_4782])

      allocate(vertices(30)%branchCT(0:0))
      call avCT(30, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(31)%branchCT(0:0))
      call avCT(31, 0, 20, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_4790, nGC_4789])

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 14, 1, 0, FFa0, 0, [0, 0, 0], [nGC_4795, nGC_4792,    &
      nGC_4796, nGC_4796])

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_4734])

      allocate(vertices(1056)%branchCT(0:0))
      call avCT(1056, 0, 13, 1, 0, FaF0, 0, [0, 0, 0], [nGC_4803, nGC_4801,    &
      nGC_4804, nGC_4804])

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 18, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4812, nGC_4813])

      allocate(vertices(34)%branchCT(0:0))
      call avCT(34, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_4816])

      allocate(vertices(36)%branchCT(0:0))
      call avCT(36, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(1027)%branchCT(0:0))
      call avCT(1027, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_3287])

      allocate(vertices(37)%branchCT(0:0))
      call avCT(37, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4823])

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4829])

      allocate(vertices(40)%branchCT(0:0))
      call avCT(40, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4833])

      allocate(vertices(41)%branchCT(0:0))
      call avCT(41, 0, 10, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_4839, nGC_4839])

      allocate(vertices(42)%branchCT(0:0))
      call avCT(42, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_4847, nGC_4848])

      allocate(vertices(43)%branchCT(0:3))
      call avCT(43, 0, 27, 2, 0, FVFa0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(43, 1, 27, 2, 0, FVFa0, 0, [1, 0, 0], [nGC_4750, nGC_4749])

      call avCT(43, 2, 26, 3, 0, FVFa0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(43, 3, 26, 3, 0, FVFa0, 0, [1, 0, 0], [nGC_4750, nGC_4749])

      allocate(vertices(44)%branchCT(0:0))
      call avCT(44, 0, 17, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_4790, nGC_4789])

      allocate(vertices(45)%branchCT(0:0))
      call avCT(45, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(46)%branchCT(0:0))
      call avCT(46, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4823])

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4719, nGC_4720])

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3287])

      allocate(vertices(49)%branchCT(0:0))
      call avCT(49, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4874])

      allocate(vertices(164)%branchCT(0:0))
      call avCT(164, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4878])

      allocate(vertices(1057)%branchCT(0:0))
      call avCT(1057, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4879])

      allocate(vertices(52)%branchCT(0:0))
      call avCT(52, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4654, nGC_4654,      &
      nGC_4653])

      allocate(vertices(53)%branchCT(0:0))
      call avCT(53, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3288])

      allocate(vertices(54)%branchCT(0:0))
      call avCT(54, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4669])

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_3287])

      allocate(vertices(1058)%branchCT(0:0))
      call avCT(1058, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4879])

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4658])

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4654, nGC_4654,      &
      nGC_4653])

      allocate(vertices(58)%branchCT(0:0))
      call avCT(58, 0, 8, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4902, nGC_4903])

      allocate(vertices(59)%branchCT(0:0))
      call avCT(59, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3293])

      allocate(vertices(60)%branchCT(0:0))
      call avCT(60, 0, 8, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4910, nGC_4909])

      allocate(vertices(168)%branchCT(0:0))
      call avCT(168, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4669])

      allocate(vertices(1059)%branchCT(0:0))
      call avCT(1059, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4654, nGC_4653,      &
      nGC_4654])

      allocate(vertices(64)%branchCT(0:0))
      call avCT(64, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4924])

      allocate(vertices(65)%branchCT(0:0))
      call avCT(65, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4704])

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4839, nGC_4839])

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3287])

      allocate(vertices(68)%branchCT(0:0))
      call avCT(68, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4935])

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4823])

      allocate(vertices(70)%branchCT(0:0))
      call avCT(70, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4941])

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4945])

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_4816])

      allocate(vertices(1060)%branchCT(0:0))
      call avCT(1060, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4949])

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(74)%branchCT(0:0))
      call avCT(74, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4955])

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4959])

      allocate(vertices(523)%branchCT(0:0))
      call avCT(523, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4962])

      allocate(vertices(77)%branchCT(0:0))
      call avCT(77, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(78)%branchCT(0:0))
      call avCT(78, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4968])

      allocate(vertices(79)%branchCT(0:0))
      call avCT(79, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3287])

      allocate(vertices(524)%branchCT(0:0))
      call avCT(524, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(174)%branchCT(0:0))
      call avCT(174, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4959])

      allocate(vertices(82)%branchCT(0:0))
      call avCT(82, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4833])

      allocate(vertices(83)%branchCT(0:0))
      call avCT(83, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4941])

      allocate(vertices(175)%branchCT(0:0))
      call avCT(175, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4988, nGC_4989])

      allocate(vertices(606)%branchCT(0:0))
      call avCT(606, 0, 21, 1, 0, SFFa0, 0, [0, 1, 1], [nGC_4727, nGC_4726])

      allocate(vertices(86)%branchCT(0:0))
      call avCT(86, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4945])

      allocate(vertices(945)%branchCT(0:0))
      call avCT(945, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 17, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4672])

      allocate(vertices(88)%branchCT(0:0))
      call avCT(88, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_5005])

      allocate(vertices(89)%branchCT(0:0))
      call avCT(89, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_5005])

      allocate(vertices(90)%branchCT(0:0))
      call avCT(90, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4704])

      allocate(vertices(526)%branchCT(0:0))
      call avCT(526, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(93)%branchCT(0:0))
      call avCT(93, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(94)%branchCT(0:0))
      call avCT(94, 0, 8, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4902, nGC_4903])

      allocate(vertices(95)%branchCT(0:0))
      call avCT(95, 0, 17, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_5029, nGC_5030])

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4945])

      allocate(vertices(859)%branchCT(0:0))
      call avCT(859, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4779, nGC_4779])

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4959])

      allocate(vertices(97)%branchCT(0:0))
      call avCT(97, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_5043])

      allocate(vertices(98)%branchCT(0:0))
      call avCT(98, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_4816])

      allocate(vertices(99)%branchCT(0:0))
      call avCT(99, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4945])

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4719, nGC_4720])

      allocate(vertices(861)%branchCT(0:0))
      call avCT(861, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4955])

      allocate(vertices(102)%branchCT(0:3))
      call avCT(102, 0, 28, 3, 0, VFaF0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(102, 1, 28, 3, 0, VFaF0, 0, [1, 0, 0], [nGC_4750, nGC_4749])

      call avCT(102, 2, 29, 2, 0, VFaF0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(102, 3, 29, 2, 0, VFaF0, 0, [1, 0, 0], [nGC_4750, nGC_4749])

      allocate(vertices(528)%branchCT(0:0))
      call avCT(528, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4874])

      allocate(vertices(104)%branchCT(0:0))
      call avCT(104, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4962])

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 8, 1, 0, FSFa1, 0, [0, 1, 0], [nGC_4759])

      allocate(vertices(1062)%branchCT(0:1))
      call avCT(1062, 0, 16, 8, 0, VV0, 0, [2, 0, 0], [nGC_5071, nGC_5070])

      call avCT(1062, 1, 15, 1, 0, VV0, 0, [2, 0, 0], [nGC_5071, nGC_5070])

      allocate(vertices(107)%branchCT(0:0))
      call avCT(107, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4874])

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4923])

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_3290])

      allocate(vertices(110)%branchCT(0:0))
      call avCT(110, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4878])

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4654, nGC_4653,     &
      nGC_4654])

      allocate(vertices(112)%branchCT(0:0))
      call avCT(112, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_5087])

      allocate(vertices(113)%branchCT(0:0))
      call avCT(113, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4653, nGC_4654,     &
      nGC_4654])

      allocate(vertices(1063)%branchCT(0:0))
      call avCT(1063, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(114)%branchCT(0:0))
      call avCT(114, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_5098, nGC_5098])

      allocate(vertices(116)%branchCT(0:3))
      call avCT(116, 0, 11, 3, 0, FFaV1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(116, 1, 11, 3, 0, FFaV1, 0, [1, 0, 0], [nGC_5102, nGC_5099])

      call avCT(116, 2, 12, 2, 0, FFaV1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(116, 3, 12, 2, 0, FFaV1, 0, [1, 0, 0], [nGC_5102, nGC_5099])

      allocate(vertices(1064)%branchCT(0:0))
      call avCT(1064, 0, 13, 1, 0, FaF0, 0, [0, 0, 0], [nGC_5111, nGC_5109,    &
      nGC_5112, nGC_5112])

      allocate(vertices(118)%branchCT(0:0))
      call avCT(118, 0, 8, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_5118, nGC_5118])

      allocate(vertices(814)%branchCT(0:0))
      call avCT(814, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_5124, nGC_5124])

      allocate(vertices(818)%branchCT(0:0))
      call avCT(818, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4669])

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 17, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_5133, nGC_5134])

      allocate(vertices(122)%branchCT(0:0))
      call avCT(122, 0, 8, 1, 0, SVV0, 0, [0, 1, 0], [nGC_4935])

      allocate(vertices(20)%branchCT(0:0))
      call avCT(20, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_5140])

      allocate(vertices(124)%branchCT(0:0))
      call avCT(124, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(125)%branchCT(0:0))
      call avCT(125, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3292])

      allocate(vertices(1065)%branchCT(0:0))
      call avCT(1065, 0, 13, 1, 0, VS0, 0, [0, 0, 0], [nGC_5147])

      allocate(vertices(126)%branchCT(0:0))
      call avCT(126, 0, 10, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_5124, nGC_5124])

      allocate(vertices(851)%branchCT(0:0))
      call avCT(851, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4959])

      allocate(vertices(128)%branchCT(0:0))
      call avCT(128, 0, 8, 1, 0, UaSU0, 0, [0, 1, 0], [nGC_3290])

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 17, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_4839, nGC_4839])

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3296])

      allocate(vertices(131)%branchCT(0:1))
      call avCT(131, 0, 21, 1, 0, SFFa1, 0, [0, 1, 1], [nGC_4683])

      call avCT(131, 1, 21, 1, 0, SFFa2, 0, [0, 1, 0], [nGC_4684])

      allocate(vertices(132)%branchCT(0:0))
      call avCT(132, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4747, nGC_4748])

      allocate(vertices(134)%branchCT(0:0))
      call avCT(134, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4658])

      allocate(vertices(135)%branchCT(0:0))
      call avCT(135, 0, 8, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_5183, nGC_5184])

      allocate(vertices(136)%branchCT(0:0))
      call avCT(136, 0, 8, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_5187])

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 8, 1, 0, FaSF2, 0, [0, 1, 0], [nGC_4759])

      allocate(vertices(866)%branchCT(0:0))
      call avCT(866, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4833])

      allocate(vertices(138)%branchCT(0:0))
      call avCT(138, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3296])

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 20, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_5124, nGC_5124])

      allocate(vertices(140)%branchCT(0:0))
      call avCT(140, 0, 8, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_5203, nGC_5203])

      allocate(vertices(141)%branchCT(0:0))
      call avCT(141, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_5211, nGC_5212])

      allocate(vertices(142)%branchCT(0:3))
      call avCT(142, 0, 30, 3, 0, VFFa0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(142, 1, 30, 3, 0, VFFa0, 0, [1, 0, 0], [nGC_5214, nGC_5213])

      call avCT(142, 2, 31, 2, 0, VFFa0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(142, 3, 31, 2, 0, VFFa0, 0, [1, 0, 0], [nGC_5214, nGC_5213])

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 8, 1, 0, SFaF1, 0, [0, 1, 0], [nGC_5187])

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 13, 1, 0, FaF1, 0, [0, 0, 0], [nGC_5229, nGC_5228])

      allocate(vertices(146)%branchCT(0:0))
      call avCT(146, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_5232])

      allocate(vertices(1067)%branchCT(0:0))
      call avCT(1067, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4879])

      allocate(vertices(147)%branchCT(0:0))
      call avCT(147, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(185)%branchCT(0:0))
      call avCT(185, 0, 20, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_5241, nGC_5240])

      allocate(vertices(1068)%branchCT(0:0))
      call avCT(1068, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4879])

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3290])

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 13, 1, 0, FFa0, 0, [0, 0, 0], [nGC_4803, nGC_4801,    &
      nGC_4804, nGC_4804])

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4879])

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_5257])

      allocate(vertices(872)%branchCT(0:0))
      call avCT(872, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3297])

      allocate(vertices(873)%branchCT(0:1))
      call avCT(873, 0, 32, 4, 0, UaVU0, 0, [3, 0, 0], [nGC_5262])

      call avCT(873, 1, 33, 5, 0, UaVU0, 0, [3, 0, 0], [nGC_5262])

      allocate(vertices(1071)%branchCT(0:0))
      call avCT(1071, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4879])

      allocate(vertices(27)%branchCT(0:0))
      call avCT(27, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5270, nGC_5270,      &
      nGC_5271])

      allocate(vertices(154)%branchCT(0:0))
      call avCT(154, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5275, nGC_5274,     &
      nGC_5274])

      allocate(vertices(155)%branchCT(0:0))
      call avCT(155, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_5278])

      allocate(vertices(14)%branchCT(0:0))
      call avCT(14, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_5282])

      allocate(vertices(157)%branchCT(0:0))
      call avCT(157, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5271, nGC_5270,     &
      nGC_5270])

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 13, 1, 0, FaF0, 0, [0, 0, 0], [nGC_5290, nGC_5288,    &
      nGC_5291, nGC_5291])

      allocate(vertices(785)%branchCT(0:0))
      call avCT(785, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4945])

      allocate(vertices(159)%branchCT(0:1))
      call avCT(159, 0, 34, 4, 0, UVUa0, 0, [3, 0, 0], [nGC_5262])

      call avCT(159, 1, 35, 5, 0, UVUa0, 0, [3, 0, 0], [nGC_5262])

      allocate(vertices(160)%branchCT(0:0))
      call avCT(160, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_5306, nGC_5307])

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 21, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_5043])

      allocate(vertices(538)%branchCT(0:1))
      call avCT(538, 0, 40, 4, 0, VUUa0, 0, [3, 0, 0], [nGC_5262])

      call avCT(538, 1, 41, 5, 0, VUUa0, 0, [3, 0, 0], [nGC_5262])

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 8, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_5319, nGC_5319])

      allocate(vertices(162)%branchCT(0:0))
      call avCT(162, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_5323])

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4833])

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 8, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_4823])

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 8, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_4626])

      allocate(vertices(166)%branchCT(0:0))
      call avCT(166, 0, 8, 1, 0, FaFS1, 0, [0, 1, 0], [nGC_4759])

      allocate(vertices(167)%branchCT(0:0))
      call avCT(167, 0, 17, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_4847, nGC_4848])

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_5340])

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 10, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_5241, nGC_5240])

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4630])

      allocate(vertices(67)%branchCT(0:0))
      call avCT(67, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4812, nGC_4813])

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4945])

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_5005])

      allocate(vertices(173)%branchCT(0:0))
      call avCT(173, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4935])

      allocate(vertices(1073)%branchCT(0:0))
      call avCT(1073, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(177)%branchCT(0:0))
      call avCT(177, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_5368])

      allocate(vertices(178)%branchCT(0:0))
      call avCT(178, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_5232])

      allocate(vertices(179)%branchCT(0:0))
      call avCT(179, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_4878])

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3296])

      allocate(vertices(181)%branchCT(0:0))
      call avCT(181, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4968])

      allocate(vertices(182)%branchCT(0:0))
      call avCT(182, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(183)%branchCT(0:0))
      call avCT(183, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4677, nGC_4678])

      allocate(vertices(184)%branchCT(0:0))
      call avCT(184, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(148)%branchCT(0:0))
      call avCT(148, 0, 8, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_5211, nGC_5212])

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_5256])

      allocate(vertices(878)%branchCT(0:0))
      call avCT(878, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4968])

      allocate(vertices(1074)%branchCT(0:0))
      call avCT(1074, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4879])

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_5405, nGC_5406])

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4653, nGC_4654,     &
      nGC_4654])

      allocate(vertices(190)%branchCT(0:0))
      call avCT(190, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3293])

      allocate(vertices(191)%branchCT(0:0))
      call avCT(191, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4959])

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_5419])

      allocate(vertices(193)%branchCT(0:0))
      call avCT(193, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4669])

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4968])

      allocate(vertices(195)%branchCT(0:0))
      call avCT(195, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4962])

      allocate(vertices(196)%branchCT(0:0))
      call avCT(196, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_5430])

      allocate(vertices(197)%branchCT(0:0))
      call avCT(197, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_5087])

      allocate(vertices(198)%branchCT(0:0))
      call avCT(198, 0, 8, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_5118, nGC_5118])

      allocate(vertices(199)%branchCT(0:0))
      call avCT(199, 0, 8, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_5440, nGC_5441])

      allocate(vertices(200)%branchCT(0:0))
      call avCT(200, 0, 8, 1, 0, FaFS1, 0, [0, 1, 0], [nGC_4626])

      allocate(vertices(1075)%branchCT(0:0))
      call avCT(1075, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4879])

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4878])

      allocate(vertices(202)%branchCT(0:0))
      call avCT(202, 0, 8, 1, 0, SFFa1, 0, [0, 1, 0], [nGC_4759])

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4634, nGC_4633,     &
      nGC_4633])

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4701])

      allocate(vertices(205)%branchCT(0:0))
      call avCT(205, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4823])

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_5461])

      allocate(vertices(208)%branchCT(0:0))
      call avCT(208, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(209)%branchCT(0:0))
      call avCT(209, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_5211, nGC_5212])

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_5005])

      allocate(vertices(210)%branchCT(0:0))
      call avCT(210, 0, 8, 1, 0, SFaF1, 0, [0, 1, 0], [nGC_4626])

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_5478])

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_3293])

      allocate(vertices(1076)%branchCT(0:0))
      call avCT(1076, 0, 13, 1, 0, VV1, 0, [0, 0, 0], [nGC_5484, nGC_5480,     &
      nGC_5483])

      allocate(vertices(213)%branchCT(0:0))
      call avCT(213, 0, 8, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_5430])

      allocate(vertices(884)%branchCT(0:0))
      call avCT(884, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_5005])

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_4968])

      allocate(vertices(547)%branchCT(0:0))
      call avCT(547, 0, 8, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_4910, nGC_4909])

      allocate(vertices(716)%branchCT(0:0))
      call avCT(716, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4962])

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_5340])

      allocate(vertices(220)%branchCT(0:3))
      call avCT(220, 0, 28, 3, 0, VFaF0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(220, 1, 28, 3, 0, VFaF0, 0, [1, 0, 0], [nGC_5505, nGC_5506])

      call avCT(220, 2, 29, 2, 0, VFaF0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(220, 3, 29, 2, 0, VFaF0, 0, [1, 0, 0], [nGC_5505, nGC_5506])

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 17, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_5043])

      allocate(vertices(222)%branchCT(0:0))
      call avCT(222, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4955])

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_5405, nGC_5406])

      allocate(vertices(717)%branchCT(0:0))
      call avCT(717, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_5282])

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_5278])

      allocate(vertices(226)%branchCT(0:0))
      call avCT(226, 0, 8, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_5203, nGC_5203])

      allocate(vertices(373)%branchCT(0:0))
      call avCT(373, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(1077)%branchCT(0:0))
      call avCT(1077, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4879])

      allocate(vertices(228)%branchCT(0:0))
      call avCT(228, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4847, nGC_4848])

      allocate(vertices(229)%branchCT(0:0))
      call avCT(229, 0, 18, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_5541])

      allocate(vertices(230)%branchCT(0:0))
      call avCT(230, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3295])

      allocate(vertices(231)%branchCT(0:0))
      call avCT(231, 0, 10, 1, 0, FFaS0, 0, [0, 1, 1], [nGC_4727, nGC_4726])

      allocate(vertices(1078)%branchCT(0:0))
      call avCT(1078, 0, 13, 1, 0, FFa1, 0, [0, 0, 0], [nGC_5229, nGC_5228])

      allocate(vertices(232)%branchCT(0:0))
      call avCT(232, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_5551])

      allocate(vertices(414)%branchCT(0:3))
      call avCT(414, 0, 22, 3, 0, FaVF1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(414, 1, 22, 3, 0, FaVF1, 0, [1, 0, 0], [nGC_4692, nGC_4693])

      call avCT(414, 2, 23, 2, 0, FaVF1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(414, 3, 23, 2, 0, FaVF1, 0, [1, 0, 0], [nGC_4692, nGC_4693])

      allocate(vertices(234)%branchCT(0:0))
      call avCT(234, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5270, nGC_5271,     &
      nGC_5270])

      allocate(vertices(423)%branchCT(0:0))
      call avCT(423, 0, 20, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_4839, nGC_4839])

      allocate(vertices(236)%branchCT(0:0))
      call avCT(236, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4959])

      allocate(vertices(1079)%branchCT(0:0))
      call avCT(1079, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(239)%branchCT(0:0))
      call avCT(239, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_5541])

      allocate(vertices(240)%branchCT(0:0))
      call avCT(240, 0, 8, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_4626])

      allocate(vertices(241)%branchCT(0:0))
      call avCT(241, 0, 18, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_5541])

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 18, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_4719, nGC_4720])

      allocate(vertices(1080)%branchCT(0:0))
      call avCT(1080, 0, 14, 1, 0, FFa0, 0, [0, 0, 0], [nGC_5588, nGC_5585,    &
      nGC_5589, nGC_5589])

      allocate(vertices(243)%branchCT(0:0))
      call avCT(243, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_5232])

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_5596, nGC_5597])

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4962])

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_5340])

      allocate(vertices(891)%branchCT(0:0))
      call avCT(891, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(248)%branchCT(0:0))
      call avCT(248, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4962])

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_5368])

      allocate(vertices(550)%branchCT(0:0))
      call avCT(550, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4874])

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4833])

      allocate(vertices(252)%branchCT(0:0))
      call avCT(252, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_4816])

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 18, 1, 0, FaFS0, 0, [0, 1, 1], [nGC_4640, nGC_4640])

      allocate(vertices(254)%branchCT(0:0))
      call avCT(254, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_5621])

      allocate(vertices(255)%branchCT(0:0))
      call avCT(255, 0, 8, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_5203, nGC_5203])

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 18, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_5633, nGC_5634])

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4955])

      allocate(vertices(257)%branchCT(0:0))
      call avCT(257, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_3292])

      allocate(vertices(258)%branchCT(0:0))
      call avCT(258, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(259)%branchCT(0:0))
      call avCT(259, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_5087])

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_4847, nGC_4848])

      allocate(vertices(724)%branchCT(0:0))
      call avCT(724, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_3288])

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4959])

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_5005])

      allocate(vertices(551)%branchCT(0:0))
      call avCT(551, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4704])

      allocate(vertices(266)%branchCT(0:3))
      call avCT(266, 0, 24, 3, 0, FaFV1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(266, 1, 24, 3, 0, FaFV1, 0, [1, 0, 0], [nGC_5214, nGC_5213])

      call avCT(266, 2, 25, 2, 0, FaFV1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(266, 3, 25, 2, 0, FaFV1, 0, [1, 0, 0], [nGC_5214, nGC_5213])

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4874])

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4941])

      allocate(vertices(269)%branchCT(0:0))
      call avCT(269, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_5322])

      allocate(vertices(270)%branchCT(0:0))
      call avCT(270, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4945])

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 13, 1, 0, FFa0, 0, [0, 0, 0], [nGC_5290, nGC_5288,    &
      nGC_5291, nGC_5291])

      allocate(vertices(633)%branchCT(0:0))
      call avCT(633, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_4847, nGC_4848])

      allocate(vertices(273)%branchCT(0:0))
      call avCT(273, 0, 20, 1, 0, SFaF0, 0, [0, 1, 1], [nGC_4640, nGC_4640])

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(275)%branchCT(0:0))
      call avCT(275, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3290])

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4962])

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_5368])

      allocate(vertices(278)%branchCT(0:0))
      call avCT(278, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_4940])

      allocate(vertices(279)%branchCT(0:0))
      call avCT(279, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_5596, nGC_5597])

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 18, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_5043])

      allocate(vertices(281)%branchCT(0:0))
      call avCT(281, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(282)%branchCT(0:3))
      call avCT(282, 0, 27, 2, 0, FVFa0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(282, 1, 27, 2, 0, FVFa0, 0, [1, 0, 0], [nGC_5505, nGC_5506])

      call avCT(282, 2, 26, 3, 0, FVFa0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(282, 3, 26, 3, 0, FVFa0, 0, [1, 0, 0], [nGC_5505, nGC_5506])

      allocate(vertices(187)%branchCT(0:0))
      call avCT(187, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4823])

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_5718])

      allocate(vertices(284)%branchCT(0:0))
      call avCT(284, 0, 20, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_5724, nGC_5723])

      allocate(vertices(1082)%branchCT(0:0))
      call avCT(1082, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3293])

      allocate(vertices(286)%branchCT(0:0))
      call avCT(286, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_5098, nGC_5098])

      allocate(vertices(728)%branchCT(0:0))
      call avCT(728, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4959])

      allocate(vertices(605)%branchCT(0:0))
      call avCT(605, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_5087])

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 10, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_5596, nGC_5597])

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_5741])

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3297])

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 10, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_5043])

      allocate(vertices(292)%branchCT(0:0))
      call avCT(292, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(294)%branchCT(0:0))
      call avCT(294, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 8, 1, 0, USUa0, 0, [0, 1, 0], [nGC_3290])

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(900)%branchCT(0:0))
      call avCT(900, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4653, nGC_4654,     &
      nGC_4654])

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 8, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_5768, nGC_5769])

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(300)%branchCT(0:3))
      call avCT(300, 0, 22, 3, 0, FaVF1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(300, 1, 22, 3, 0, FaVF1, 0, [1, 0, 0], [nGC_5214, nGC_5213])

      call avCT(300, 2, 23, 2, 0, FaVF1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(300, 3, 23, 2, 0, FaVF1, 0, [1, 0, 0], [nGC_5214, nGC_5213])

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3290])

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_5787])

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5270, nGC_5271,     &
      nGC_5270])

      allocate(vertices(822)%branchCT(0:0))
      call avCT(822, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_5798, nGC_5799])

      allocate(vertices(307)%branchCT(0:0))
      call avCT(307, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4945])

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 8, 1, 0, SFaF2, 0, [0, 1, 0], [nGC_4759])

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_4734])

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_5741])

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_5405, nGC_5406])

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 13, 1, 0, VV2, 0, [0, 0, 0], [nGC_5818, nGC_5814,     &
      nGC_5817])

      allocate(vertices(313)%branchCT(0:3))
      call avCT(313, 0, 22, 3, 0, FaVF1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(313, 1, 22, 3, 0, FaVF1, 0, [1, 0, 0], [nGC_5102, nGC_5099])

      call avCT(313, 2, 23, 2, 0, FaVF1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(313, 3, 23, 2, 0, FaVF1, 0, [1, 0, 0], [nGC_5102, nGC_5099])

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 20, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_5098, nGC_5098])

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4654, nGC_4654,     &
      nGC_4653])

      allocate(vertices(855)%branchCT(0:0))
      call avCT(855, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_3293])

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_5838])

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 10, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_4672])

      allocate(vertices(320)%branchCT(0:0))
      call avCT(320, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_5005])

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 13, 1, 0, SS0, 0, [0, 0, 0], [nGC_5847, nGC_5844])

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4790, nGC_4789])

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4678, nGC_4677])

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4633, nGC_4634,     &
      nGC_4633])

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4955])

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(384)%branchCT(0:0))
      call avCT(384, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_5183, nGC_5184])

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4941])

      allocate(vertices(329)%branchCT(0:0))
      call avCT(329, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_5241, nGC_5240])

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4633, nGC_4633,     &
      nGC_4634])

      allocate(vertices(1003)%branchCT(0:0))
      call avCT(1003, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(786)%branchCT(0:0))
      call avCT(786, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_5134, nGC_5133])

      allocate(vertices(385)%branchCT(0:0))
      call avCT(385, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_4968])

      allocate(vertices(345)%branchCT(0:0))
      call avCT(345, 0, 8, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_4902, nGC_4903])

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5271, nGC_5270,     &
      nGC_5270])

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4711, nGC_4711])

      allocate(vertices(47)%branchCT(0:0))
      call avCT(47, 0, 8, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_5306, nGC_5307])

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 13, 1, 0, FaF1, 0, [0, 0, 0], [nGC_5901, nGC_5900])

      allocate(vertices(1086)%branchCT(0:0))
      call avCT(1086, 0, 42, 1, 0, FaF0, 0, [0, 0, 0], [nGC_4645, nGC_4642,    &
      nGC_4646, nGC_4646])

      allocate(vertices(336)%branchCT(0:0))
      call avCT(336, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_4734])

      allocate(vertices(28)%branchCT(0:0))
      call avCT(28, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_5478])

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(1087)%branchCT(0:0))
      call avCT(1087, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(338)%branchCT(0:1))
      call avCT(338, 0, 10, 1, 0, FFaS2, 0, [0, 1, 1], [nGC_4683])

      call avCT(338, 1, 10, 1, 0, FFaS1, 0, [0, 1, 0], [nGC_4684])

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_5927, nGC_5928])

      allocate(vertices(387)%branchCT(0:1))
      call avCT(387, 0, 36, 4, 0, UUaV0, 0, [3, 0, 0], [nGC_5262])

      call avCT(387, 1, 37, 5, 0, UUaV0, 0, [3, 0, 0], [nGC_5262])

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3297])

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 8, 1, 0, FaVF1, 0, [0, 1, 0], [nGC_5183, nGC_5184])

      allocate(vertices(1088)%branchCT(0:0))
      call avCT(1088, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4948])

      allocate(vertices(685)%branchCT(0:0))
      call avCT(685, 0, 8, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4910, nGC_4909])

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_5951])

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(349)%branchCT(0:0))
      call avCT(349, 0, 10, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_4678, nGC_4677])

      allocate(vertices(1089)%branchCT(0:0))
      call avCT(1089, 0, 13, 1, 0, SV0, 0, [0, 0, 0], [nGC_5958])

      allocate(vertices(350)%branchCT(0:0))
      call avCT(350, 0, 10, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_5541])

      allocate(vertices(351)%branchCT(0:0))
      call avCT(351, 0, 18, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_5927, nGC_5928])

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_5968])

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4945])

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4705])

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 8, 1, 0, FSFa2, 0, [0, 1, 0], [nGC_4626])

      allocate(vertices(172)%branchCT(0:0))
      call avCT(172, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 17, 1, 0, FaSF1, 0, [0, 1, 1], [nGC_4727, nGC_4726])

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4653, nGC_4654,     &
      nGC_4654])

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 8, 1, 0, SUaU0, 0, [0, 1, 0], [nGC_3287])

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_5996])

      allocate(vertices(1090)%branchCT(0:0))
      call avCT(1090, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(366)%branchCT(0:0))
      call avCT(366, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_4988, nGC_4989])

      allocate(vertices(242)%branchCT(0:0))
      call avCT(242, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_5478])

      allocate(vertices(368)%branchCT(0:0))
      call avCT(368, 0, 8, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_5203, nGC_5203])

      allocate(vertices(369)%branchCT(0:0))
      call avCT(369, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_5718])

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 20, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_4677, nGC_4678])

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 8, 1, 0, UaVU0, 0, [0, 1, 0], [nGC_4630])

      allocate(vertices(372)%branchCT(0:0))
      call avCT(372, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(374)%branchCT(0:0))
      call avCT(374, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_5368])

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 8, 1, 0, FaFS1, 0, [0, 1, 0], [nGC_5187])

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 42, 1, 0, FaF0, 0, [0, 0, 0], [nGC_4795, nGC_4792,    &
      nGC_4796, nGC_4796])

      allocate(vertices(396)%branchCT(0:0))
      call avCT(396, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_4816])

      allocate(vertices(378)%branchCT(0:0))
      call avCT(378, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_5282])

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3296])

      allocate(vertices(577)%branchCT(0:0))
      call avCT(577, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_6045, nGC_6046])

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3292])

      allocate(vertices(382)%branchCT(0:0))
      call avCT(382, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_5005])

      allocate(vertices(1092)%branchCT(0:0))
      call avCT(1092, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(327)%branchCT(0:0))
      call avCT(327, 0, 19, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_5541])

      allocate(vertices(332)%branchCT(0:0))
      call avCT(332, 0, 8, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_5440, nGC_5441])

      allocate(vertices(1093)%branchCT(0:0))
      call avCT(1093, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 8, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_4902, nGC_4903])

      allocate(vertices(390)%branchCT(0:0))
      call avCT(390, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_3292])

      allocate(vertices(391)%branchCT(0:0))
      call avCT(391, 0, 21, 1, 0, VFFa1, 0, [0, 1, 0], [nGC_5043])

      allocate(vertices(398)%branchCT(0:0))
      call avCT(398, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4701])

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5270, nGC_5270,     &
      nGC_5271])

      allocate(vertices(1094)%branchCT(0:0))
      call avCT(1094, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_6074])

      allocate(vertices(393)%branchCT(0:0))
      call avCT(393, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(708)%branchCT(0:0))
      call avCT(708, 0, 8, 1, 0, SVS0, 0, [0, 1, 0], [nGC_5996])

      allocate(vertices(394)%branchCT(0:0))
      call avCT(394, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_4790, nGC_4789])

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 20, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_4779, nGC_4779])

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4669])

      allocate(vertices(1095)%branchCT(0:0))
      call avCT(1095, 0, 13, 1, 0, FFa0, 0, [0, 0, 0], [nGC_5111, nGC_5109,    &
      nGC_5112, nGC_5112])

      allocate(vertices(1096)%branchCT(0:0))
      call avCT(1096, 0, 13, 1, 0, VV3, 0, [0, 0, 0], [nGC_6099, nGC_6100,     &
      nGC_6099, nGC_6100, nGC_6101])

      allocate(vertices(399)%branchCT(0:0))
      call avCT(399, 0, 17, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4672])

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4945])

      allocate(vertices(401)%branchCT(0:0))
      call avCT(401, 0, 8, 1, 0, FSFa2, 0, [0, 1, 0], [nGC_4759])

      allocate(vertices(1097)%branchCT(0:0))
      call avCT(1097, 0, 13, 1, 0, VS0, 0, [0, 0, 0], [nGC_5958])

      allocate(vertices(403)%branchCT(0:0))
      call avCT(403, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4962])

      allocate(vertices(1098)%branchCT(0:0))
      call avCT(1098, 0, 8, 1, 0, VVS0, 0, [0, 1, 0], [nGC_6074])

      allocate(vertices(404)%branchCT(0:0))
      call avCT(404, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_5029, nGC_5030])

      allocate(vertices(581)%branchCT(0:0))
      call avCT(581, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4669])

      allocate(vertices(582)%branchCT(0:0))
      call avCT(582, 0, 20, 1, 0, SFaF0, 0, [0, 1, 1], [nGC_4727, nGC_4726])

      allocate(vertices(409)%branchCT(0:0))
      call avCT(409, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4669])

      allocate(vertices(410)%branchCT(0:0))
      call avCT(410, 0, 8, 1, 0, FaSF2, 0, [0, 1, 0], [nGC_5187])

      allocate(vertices(411)%branchCT(0:0))
      call avCT(411, 0, 18, 1, 0, FaFV1, 0, [0, 1, 0], [nGC_5798, nGC_5799])

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(413)%branchCT(0:0))
      call avCT(413, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(1099)%branchCT(0:0))
      call avCT(1099, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4949])

      allocate(vertices(1100)%branchCT(0:0))
      call avCT(1100, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4879])

      allocate(vertices(415)%branchCT(0:3))
      call avCT(415, 0, 22, 3, 0, FaVF1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(415, 1, 22, 3, 0, FaVF1, 0, [1, 0, 0], [nGC_5505, nGC_5506])

      call avCT(415, 2, 23, 2, 0, FaVF1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(415, 3, 23, 2, 0, FaVF1, 0, [1, 0, 0], [nGC_5505, nGC_5506])

      allocate(vertices(416)%branchCT(0:0))
      call avCT(416, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(417)%branchCT(0:0))
      call avCT(417, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_5368])

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4654, nGC_4653,     &
      nGC_4654])

      allocate(vertices(419)%branchCT(0:0))
      call avCT(419, 0, 8, 1, 0, UVUa0, 0, [0, 1, 0], [nGC_4955])

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(754)%branchCT(0:0))
      call avCT(754, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4874])

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4833])

      allocate(vertices(238)%branchCT(0:0))
      call avCT(238, 0, 8, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_5319, nGC_5319])

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 8, 1, 0, UaUV0, 0, [0, 1, 0], [nGC_5087])

      allocate(vertices(709)%branchCT(0:0))
      call avCT(709, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4968])

      allocate(vertices(426)%branchCT(0:3))
      call avCT(426, 0, 28, 3, 0, VFaF0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(426, 1, 28, 3, 0, VFaF0, 0, [1, 0, 0], [nGC_6178, nGC_6179])

      call avCT(426, 2, 29, 2, 0, VFaF0, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(426, 3, 29, 2, 0, VFaF0, 0, [1, 0, 0], [nGC_6178, nGC_6179])

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_5043])

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_4829])

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_6045, nGC_6046])

      allocate(vertices(1101)%branchCT(0:0))
      call avCT(1101, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4686])

      allocate(vertices(431)%branchCT(0:0))
      call avCT(431, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4945])

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4669])

      allocate(vertices(433)%branchCT(0:0))
      call avCT(433, 0, 8, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_5440, nGC_5441])

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 8, 1, 0, VUaU0, 0, [0, 1, 0], [nGC_4955])

      allocate(vertices(759)%branchCT(0:0))
      call avCT(759, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_5270, nGC_5270,     &
      nGC_5271])

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4658])

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 20, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_4678, nGC_4677])

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 8, 1, 0, SUUa0, 0, [0, 1, 0], [nGC_3293])

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4935])

      allocate(vertices(440)%branchCT(0:0))
      call avCT(440, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_5419])

      allocate(vertices(441)%branchCT(0:0))
      call avCT(441, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_5322])

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 10, 1, 0, FFaS0, 0, [0, 1, 0], [nGC_4779, nGC_4779])

      allocate(vertices(443)%branchCT(0:0))
      call avCT(443, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4654, nGC_4654,     &
      nGC_4653])

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 21, 1, 0, SFFa0, 0, [0, 1, 0], [nGC_4677, nGC_4678])

      allocate(vertices(646)%branchCT(0:0))
      call avCT(646, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_5633, nGC_5634])

      allocate(vertices(927)%branchCT(0:0))
      call avCT(927, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(447)%branchCT(0:0))
      call avCT(447, 0, 8, 1, 0, FaSF0, 0, [0, 1, 0], [nGC_5187])

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4968])

      allocate(vertices(673)%branchCT(0:0))
      call avCT(673, 0, 20, 1, 0, VFaF0, 0, [0, 1, 0], [nGC_6259, nGC_6260])

      allocate(vertices(762)%branchCT(0:0))
      call avCT(762, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4968])

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 8, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_6270, nGC_6271])

      allocate(vertices(455)%branchCT(0:0))
      call avCT(455, 0, 8, 1, 0, VUUa0, 0, [0, 1, 0], [nGC_4630])

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_5323])

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_4874])

      allocate(vertices(457)%branchCT(0:0))
      call avCT(457, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(587)%branchCT(0:0))
      call avCT(587, 0, 8, 1, 0, VSS0, 0, [0, 1, 0], [nGC_4924])

      allocate(vertices(459)%branchCT(0:0))
      call avCT(459, 0, 8, 1, 0, UUaS0, 0, [0, 1, 0], [nGC_3287])

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4874])

      allocate(vertices(461)%branchCT(0:0))
      call avCT(461, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4653, nGC_4654,     &
      nGC_4654])

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 18, 1, 0, FaFS0, 0, [0, 1, 0], [nGC_5596, nGC_5597])

      allocate(vertices(463)%branchCT(0:0))
      call avCT(463, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4959])

      allocate(vertices(465)%branchCT(0:0))
      call avCT(465, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 19, 1, 0, FSFa0, 0, [0, 1, 0], [nGC_4839, nGC_4839])

      allocate(vertices(408)%branchCT(0:0))
      call avCT(408, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(466)%branchCT(0:0))
      call avCT(466, 0, 17, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_5596, nGC_5597])

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 19, 1, 0, FSFa0, 0, [0, 1, 1], [nGC_4640, nGC_4640])

      allocate(vertices(468)%branchCT(0:0))
      call avCT(468, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 8, 1, 0, UaUS0, 0, [0, 1, 0], [nGC_4816])

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 20, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_5596, nGC_5597])

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_3296])

      allocate(vertices(473)%branchCT(0:0))
      call avCT(473, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_5087])

      allocate(vertices(934)%branchCT(0:0))
      call avCT(934, 0, 10, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_5043])

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4945])

      allocate(vertices(475)%branchCT(0:0))
      call avCT(475, 0, 8, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_5768, nGC_5769])

      allocate(vertices(768)%branchCT(0:0))
      call avCT(768, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4874])

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 9, 1, 0, VVVV0, 0, [0, 2, 0], [nGC_4653, nGC_4654,     &
      nGC_4654])

      allocate(vertices(478)%branchCT(0:0))
      call avCT(478, 0, 8, 1, 0, SSS0, 0, [0, 1, 0], [nGC_5787])

      allocate(vertices(590)%branchCT(0:0))
      call avCT(590, 0, 8, 1, 0, FFaV0, 0, [0, 1, 0], [nGC_6347])

      allocate(vertices(481)%branchCT(0:0))
      call avCT(481, 0, 8, 1, 0, FSFa2, 0, [0, 1, 0], [nGC_5187])

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 9, 1, 0, SVVS0, 0, [0, 2, 0], [nGC_4689])

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4833])

      allocate(vertices(484)%branchCT(0:0))
      call avCT(484, 0, 21, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_6362, nGC_6363])

      allocate(vertices(485)%branchCT(0:0))
      call avCT(485, 0, 8, 1, 0, VVV0, 0, [0, 1, 0], [nGC_5256])

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_5029, nGC_5030])

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 8, 1, 0, UUaV0, 0, [0, 1, 0], [nGC_5087])

      allocate(vertices(488)%branchCT(0:0))
      call avCT(488, 0, 9, 1, 0, SVSV0, 0, [0, 2, 0], [nGC_5005])

      allocate(vertices(894)%branchCT(0:0))
      call avCT(894, 0, 9, 1, 0, VSSV0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(897)%branchCT(0:0))
      call avCT(897, 0, 19, 1, 0, FVFa0, 0, [0, 1, 0], [nGC_5633, nGC_5634])

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 8, 1, 0, FVFa1, 0, [0, 1, 0], [nGC_4823])

      allocate(vertices(823)%branchCT(0:3))
      call avCT(823, 0, 24, 3, 0, FaFV1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(823, 1, 24, 3, 0, FaFV1, 0, [1, 0, 0], [nGC_4750, nGC_4749])

      call avCT(823, 2, 25, 2, 0, FaFV1, 0, [3, 0, 0], [nGC_4694, nGC_4694])

      call avCT(823, 3, 25, 2, 0, FaFV1, 0, [1, 0, 0], [nGC_4750, nGC_4749])

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 8, 1, 0, VFFa0, 0, [0, 1, 0], [nGC_6270, nGC_6271])

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 9, 1, 0, SSVV0, 0, [0, 2, 0], [nGC_4833])

      allocate(vertices(494)%branchCT(0:0))
      call avCT(494, 0, 8, 1, 0, FaVF0, 0, [0, 1, 0], [nGC_5430])

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 19, 1, 0, FSFa0, 0, [0, 1, 1], [nGC_4727, nGC_4726])

      allocate(vertices(1102)%branchCT(0:0))
      call avCT(1102, 0, 8, 1, 0, FaFV0, 0, [0, 1, 0], [nGC_4879])

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 20, 1, 0, SFaF0, 0, [0, 1, 0], [nGC_4711, nGC_4711])

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 9, 1, 0, SSSS0, 0, [0, 2, 0], [nGC_4962])

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 9, 1, 0, VVSS0, 0, [0, 2, 0], [nGC_4763])

      allocate(vertices(961)%branchCT(0:0))
      call avCT(961, 0, 9, 1, 0, VSVS0, 0, [0, 2, 0], [nGC_4731])

      allocate(vertices(964)%branchCT(0:0))
      call avCT(964, 0, 8, 1, 0, SSV0, 0, [0, 1, 0], [nGC_4941])

      allocate(vertices(502)%branchCT(0:0))
      call avCT(502, 0, 8, 1, 0, VSV0, 0, [0, 1, 0], [nGC_4935])

      allocate(vertices(1103)%branchCT(0:0))
      call avCT(1103, 0, 42, 1, 0, FaF0, 0, [0, 0, 0], [nGC_6430, nGC_6428,    &
      nGC_6431, nGC_6431])

      allocate(vertices(503)%branchCT(0:0))
      call avCT(503, 0, 10, 1, 0, FFaS0, 0, [0, 1, 1], [nGC_4640, nGC_4640])

      allocate(vertices(504)%branchCT(0:0))
      call avCT(504, 0, 10, 1, 0, FFaV1, 0, [0, 1, 0], [nGC_6362, nGC_6363])

      allocate(vertices(505)%branchCT(0:0))
      call avCT(505, 0, 17, 1, 0, FaSF1, 0, [0, 1, 0], [nGC_5098, nGC_5098])

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 20, 1, 0, VFaF1, 0, [0, 1, 0], [nGC_4672])

    end subroutine fill_vertices_mdl2
end module vertices_info2
